Speech Analyzer Help

Overview

User Interface

Troubleshooting

Glossary


Glossary

To find a term in the glossary, click the letter that is the first letter in the word or phrase you want to look up.

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z Symbols

A

absolute pitch - In acoustic phonetics, absolute pitch is the fundamental frequency of voiced speech. It is the acoustic correlate of the (psychoacoustic) pitch. See also pitch.

air pressure - See pressure.

AMDF - AMDF stands for Average Magnitude Difference Function. It is a measure of how well a signal matches a time-shifted version of itself, as a function of the amount of time shift. The match is calculated using subtraction (instead of multiplication, as in autocorrelation), which reduces computational time.

annotation - An annotation is an explanatory comment added to the wave file, such as language description, speaker name, or free translation.

B

bandpass filter - A bandpass filter passes a range of frequencies between the lower and upper cutoff frequencies well, but attenuates (or reduces) all other frequencies.

bandwidth - The bandwidth is the difference between the highest and lowest frequencies a recording, filter, or formant contains. For a recording this is usually half the sampling frequency, unless a filtering or resampling operation has been applied.

bookmark character - When you add a gloss bookmark, a bookmark character ! appears to the left of the segment.

C

cepstrum (cepstral) - The cepstrum is the fast Fourier transform of the log (decibel) spectrum. This separates the pitch and vocal tract components, which allows for smoothing.

coarticulation - Coarticulation is the influence successive speech sounds exert on each other, especially on the boundary between sounds.

D

Direct Edit - Direct Edit is a method of transcribing, where the text is typed directly into a selected segment.

E

Ethnomusicology - Ethnomusicology is the study of music in its cultural context; cultural musicology.

Extensible Markup Language - See XML.

F

FFT - FFT stands for fast Fourier transform. It is an efficient algorithm to decompose a sound into a spectrum of its frequency components.

formant - Formants (or formant frequencies) are the resonant frequencies of the vocal tract. The term is also used to refer to the peaks in the spectrum caused by these resonances. Individual formants are numbered in order of ascending frequency (as in F1, F2, F3, and so on).

formant tracks - Formant tracks are the lines on a spectrogram, showing the resonant frequencies (F1, F2, F3, and so on) selected. Formant tracks may be shown by themselves or overlaid on a spectrogram.

fragment - A fragment is the smallest significant unit of audio information in a sound.

In voiced sounds this is the pitch period. Fragment boundaries are located at the beginning of large positive pulses, usually pitch pulses. Similarly, in unvoiced sounds, fragment boundaries are often located at the beginning of major acoustic events like bursts.

free translation - Free translation is the intended sense of the actual translation. It may be entered in the Comments tab of the File Information dialog box.

frequency - Frequency is the number of times a repeated event occurs per unit of time.

fundamental frequency - The fundamental frequency (or f0) of a periodic signal is the inverse of the period length. The period is, in turn, the smallest repeating unit of a signal.

G

graph - In Speech Analyzer, a graph is a window that displays a specific type of information about the active sound (such as the pitch or spectrum). A graph includes the plot area and the X and Y axes.

H

hertz - Hertz is a unit of frequency. One hertz equals one cycle per second.

highpass filter - A highpass filter is a filter that passes high frequencies well, but attenuates (or reduces) frequencies lower than the cutoff frequency.

I

intensity - Intensity (or physical intensity) is the instantaneous energy delivered by a sound, relative to a fixed energy level. It is the acoustic correlate of the (psychoacoustic) loudness. See also relative intensity.

interlinear - Interlinear text vertically aligns an exported transcription text file. You can do this selecting Interlinearize Transcriptions in the Export Speech format dialog box.

J

K

Keyman - Tavultesoft Keyman is a computer program that allows you to type text in other languages without changing your physical keyboard (or system keyboard).

L

legend - The legend is the part of a graph to the left of the plot area which includes the vertical axis.

linear magnitude - Linear magnitude is an option for displaying an intensity plot, calculated using the root-means-square (rms) value of the sound over a short time-period.

loudness - Loudness is the quality of a sound that is the primary psychological correlate of physical intensity.

lowpass filter - A lowpass filter passes low frequencies well, but attenuates (or reduces) frequencies higher than the cutoff frequency.

LPC - LPC stands for Linear Predictive Coding. It is a technique for representing the spectrum of sound in compressed form, based on a linear predictive model.

Only the gross features of spectrum are estimated by the model, resulting in a smoothed spectrum. The resonant frequencies of this model are sometimes used to estimate formant frequency locations

M

Melogram - A Melogram is a graphical representation of the contour of a melody. In Speech Analyzer, the Smoothed Pitch graph is used to automatically generate this contour.

MIDI - MIDI stands for Musical Instrument Digital Interface. It is an electronic standard used for the transmission of digitally encoded music. Also, the Standard MIDI File (SMF) format used to store MIDI codes.

mixer - The mixer is an option in the playback of a wave recording, which allows for the adjustment of the volume and balance.

music notation - Music notation is a standardized system of writing for music, involving notes, clefs, sharps, flats, and other symbols.

MusicXML - MusicXML is a music notation file format. MusicXML is a richer format than MIDI. Many music notation packages, like Sibelius and Finale, support this interchange format.

N

normalize - When you normalize a raw waveform, all the sample values in the file increase until the highest peak is at 100% (at the top of the waveform graph).

notation - See music notation.

O

overlay - An overlay is one or more audio files superimposed over another audio file, in the same plot area, for the purpose of comparing audio characteristics.

P

pitch - Pitch is the perceived fundamental frequency of a sound. While the actual fundamental frequency can be precisely determined through physical measurement, it may differ from the perceived pitch because of overtones, or partials, in the sound.

plot - A plot is the data points or symbols contained in a graph that may be connected by a line (plot line), and the area that contains them (plot area).

pressure - Pressure is the force per unit area applied on a surface.

Sound waves cause pressure variations as they travel through air. Microphones convert these pressure variations into voltage signals. Computer sound cards digitize these signals for playback or storage in audio files.

private cursor - The private cursor is the blue cursor that you can move independently of the begin and end cursors on the Spectrum graph and Tonal Weighting chart.

Q

R

relative intensity - Relative intensity is an option for displaying an intensity plot, calibrated against a sine wave with maximum amplitude of 100%. See also intensity.

S

sample - A sample is a value taken from an audio signal at a precise point in time. The sequence of these samples graphed over time is the waveform (or raw waveform).

sampling frequency - The sampling frequency is the number of samples taken from an audio signal each second. It is also sometimes referred to as the sampling rate.

Higher sampling frequency often results in better quality recordings, at the cost of larger audio files.

segment - A segment is a region of sound containing an acoustic event, such as a phone, word, or musical note.

semitone - A semitone is a unit of frequency indicating the number of half-steps between a given frequency and a reference frequency. A semitone represents a half step on a musical scale.

SFM Time Table - An SFM Time Table is a standard format file that includes a backslash (), followed by a table marker. The table marker is then followed by a series of table entries. The table entry first shows the time followed by the selected information (segments, measurements, and so on) at that time.

shortcut key - Shortcut keys are individual keys and key combinations you can use to speed up your work. Most shortcut keys invoke commands that are also available on the menus and toolbar.

snapshot - You can preserve a snapshot (that is, make a copy) of the current Spectrogram graph before you zoom or adjust the parameters.

Spectral Resolution - Spectral Resolution indicates the amount of smearing that occurs in the frequency dimension of a spectrogram. The lower the Spectral Resolution, the clearer the fine spectral details that appear.

spectrogram - A spectrogram is a three-dimensional plot of the intensity of the frequency content of a signal as it changes over time. Usually the vertical axis indicates frequency, the horizontal axis indicates time, and the color or gray scale indicates intensity.

spectrum - A spectrum is a two-dimensional plot of the intensity of the frequency content of a signal.

Speech Analyzer provides FFT, smooth cepstrum, and LPC estimates of the spectrum.

Standard Format - Standard Format is a common text file format, used for identifying elements in transcription files. This includes markers (SFMs), beginning with a backslash and common name. These text files can be imported and exported, and read by Speech Analyzer, Toolbox, Shoebox, and other programs.

status bar - The status bar, located at the bottom of a Speech Analyzer window, displays information about the elements of an active plot.

syllable symbol - When you add a syllable segment, a syllable symbol ( . ) appears in the Phonetic transcription bar, just before the new segment

T

Tonal Weighting chart - A Tonal Weighting chart (TWC) is a histogram of the pitches in a waveform.

The TWC can be used to find such information as the tonal center and micro-tuning for a song.

transcription - A transcription is a text that is time-aligned with the audio data, such as the phonetic and phonemic transcriptions.

U

V

W

waveform - A waveform is an audio recording and the graph of its samples (Raw Waveform graph). It can also refer to the audio file that contains the recording.

word break character - When you insert a work break in a segment, the word break character # appears to the left of the segment in the Gloss transcription bar.

X

XML - Extensible Markup Language (XML) is a simple, very flexible text format. Speech Analyzer uses XML as a file format to import and export text files.

Y

Z

zero crossing - A zero crossing is a point where an audio waveform crosses the zero-line from negative to positive.

Symbols

! - See bookmark character.

. - See syllable symbol.

# - See word break character.


Overview

Copyright notice

Getting started

What is new

How is Speech Analyzer different

Limitations in Speech Analyzer

Technical support

Information for bug reports


Information for bug reports

When you submit a bug report, include the following:

  • The version of the Speech Analyzer that you are using.

  • A description of your computer:

    • The manufacturer and model (for example, Dell Inspiron 3500, Toshiba T2250XCDS).

    • The operating system (for example, Windows 2000, Windows XP, Windows Vista).

    • How much RAM memory your computer has (for example, 256 MB).

  • A description of the problem. What you were doing or attempting to do when the problem occurred, including the following details:

    • Which graphs were open?

    • How many and which applications were open when the problem occurred?

Related Topics

Technical support


Copyright notice

Copyright © 1996-2022 SIL International. All rights reserved

This software contains intellectual property owned by SIL International; it is provided under a license agreement containing restrictions on use and disclosure and is also protected by copyright law. Due to continued product development, the contents may change without notice. The intellectual property contained herein is the property of SIL International.

If you find any problems in the documentation, please report them to us in writing. SIL International does not warrant this software to be error-free.

No part of this publication may be reproduced, stored in a retrieval system, or transmitted in any form or by any means, electronic, mechanical, photocopying, recording, or otherwise, except as permitted by license or other written permission of SIL International.

Microsoft and Windows are registered trademarks of Microsoft Corporation in the United States and other countries.

Getting started


How is Speech Analyzer different

Speech Analyzer is different from other software that plays and edits audio data.

You can do any of the following:

  • Analyze the phonetics of spoken languages, especially tonal languages.
  • Perform ethnomusicological analysis of music recordings.
  • Add phonemic, orthographic, tone, and gloss transcription to phonetic transcriptions in an interlinear format.
  • Analyze recordings up to 4 GB (overcoming the three second limitation of the WinCECIL software package).

Related Topics

Getting started

Limitations in Speech Analyzer


Getting started

Speech Analyzer is a computer program for acoustic analysis of speech sounds.

You can use Speech Analyzer to do the following tasks:

  • Perform fundamental frequency, spectrographic, and spectral analysis, and duration measurements.
  • Add phonemic, orthographic, tone, and gloss transcriptions to phonetic transcriptions in an interlinear format.
  • Perform ethnomusicological analysis of music recordings.
  • Use slowed playback, repeat loops, and overlays to assist with perception and mimicry of sounds for language learning.

Overview of Speech Analyzer

What is new

How is Speech Analyzer different

Limitations in Speech Analyzer

Technical support

Learning about Speech Analyzer

User Interface overview (menus, toolbar, and shortcuts)

Troubleshooting overview (solutions to some known problems)

Tip

  • If you want more information about any individual Help topic, click its overview hyperlink under Related Topics.
  • To display a context-sensitive topic, click Help in any dialog box of the program.
  • On the Help menu, point to Training, and then click Student Manual.


Limitations in Speech Analyzer

Speech Analyzer is limited in the following ways:

  • Although recording lengths are limited to 4 GB, limit recordings to about three minutes, because of processing times. A file recorded at 22 kHz sampling rate with 16-bit samples requires about 2.6 MB per minute recorded.

  • Speech Analyzer only supports mono recordings and single channel (Type 0) MIDI files.

Related Topics

Getting started

How is Speech Analyzer different


Technical support

Speech Analyzer is distributed as freeware. As such, no warranty or support is provided and you use it at your own risk. You can report issues at https://community.software.sil.org/c/speech-analyzer/32, but we cannot guarantee that you will receive a reply or that the bug will be fixed.

For more information on the Web, go to https://software.sil.org/speech-analyzer/

Tip

  • For system requirements and late-breaking information about this version of Speech Analyzer:

    On the taskbar, click the Start button, click Programs or All Programs, click SIL Software, click Speech Analyzer, and then click Speech Analyzer ReadMe.

Related Topics

Getting started

Information for bug reports


What is new

Here are some significant changes since version 2.7 (June 2005).

New in Speech Analyzer

  • Unicode support and support for Transcription Encoding Converters for data from previous versions.

    For more information on the Web, you can go to:

    http://www.unicode.org/standard/standard.html

  • MP3 and WMA support (read-only access).

  • Import and export MusicXML.

Improved in Speech Analyzer

  • Formant processing.
  • Transcriptions are now stored in a file with a .saxml extension in the same folder as the audio file.
  • Help files and training materials have been improved and integrated with the program.
  • Experimental features have been removed to avoid presenting confusing or misleading data.

Fixed in Speech Analyzer

  • Clicking the Formant Tracks button on the toolbar caused Speech Analyzer to stop responding.
  • The Raw plot line of the Spectrum graph was excessively smoothed.

Getting started


Troubleshooting


Chao tone characters do not elide

You may need to turn on advanced rendering features in Microsoft Windows.

In Windows XP, do the following:

  1. In Control Panel, double-click Regional and Language Options.

    The Regional and Language Options dialog box appears.

  2. Click the Languages tab.

  3. Select the Install files for complex script and right-to-left languages (including Thai) check box.

  4. Click OK.

  5. Close Control Panel.

Troubleshooting overview


Disappearing segment boundary markers

If you show segment boundary markers, and select a transcription segment on a transcription bar, the end cursor may be difficult to see. Normally, when clicked, the begin and end cursors jump to mark the selected segment. Some video cards may have trouble displaying the end cursor in this situation.

To correct this problem, make the end cursor more visible by changing the color from red to orange.

  1. On the Tools menu, select Options.

    The Options dialog box appears.

  2. Click the Colors tab.

  3. In the Graph color list, select End Cursor.

    The End Cursor color displays in the list.

  4. To display the color palette, click the ellipsis button [image].

    The brightest orange color seems to show up best in this situation, but some trial and error may be necessary.

  5. Click OK.

  6. Click OK.

Troubleshooting overview


Feedback during recording

A loud tone may come from the speakers during recording. This is called feedback and is caused by speaker output feeding back into the microphone. If this happens while recording in Speech Analyzer, open Windows Volume Control and do the following:

  1. On the File menu of Speech Analyzer, and click Record New.

    The Recorder dialog box appears.

  2. Click Input.

    The Recording Control dialog box appears.

  3. On the Options menu, click Properties.

    The Properties dialog box appears.

  4. In the Adjust volume for area, select Playback, and then click OK.

    The Volume Control dialog box appears.

  5. Under the Microphone area, select the Mute check box.

  6. Close the dialog box

Important

  • If you select the Mute all check box, in the Volume Control area, in the Volume Control dialog box, you will not be able to monitor your recording, even through headphones.

Note

  • Be sure speakers do not face the microphone.
  • Wear headphones when recording, so the microphone output does not playback through the speakers. If you wear headphones, you could turn off the speakers.
  • Make sure the microphone is located close to the mouth of the speaker.
  • Use a unidirectional microphone.

Troubleshooting overview


Formants are different in the LPC Spectrum

The formant values in the LPC Spectrum are calculated using a standard LPC analysis, while the Spectrogram and Formant Chart formant values are calculated using a modified LPC analysis (a bank of 1st order LPC tracking filters). The two approaches often result in different formant values.

Troubleshooting overview


Troubleshooting overview

The following topics provide solutions to some known problems in Speech Analyzer:

Unusual problems

Recording and playback

Recording level too low

Feedback during recording

Playback level too low

Sound device error

Graphs

Formants are different in the LPC Spectrum

Disappearing segment boundary markers

Segment boundary markers visible/not-visible

Transcriptions

Chao tone characters do not elide

Pitch contour characters do not elide

Transcription bars do not display characters correctly

Transcriptions no longer appear

Transcriptions were skipped during import

Getting started


Pitch contour characters do not elide

The pitch contour characters are in the Private Use Area (PUA) of Unicode. The Uniscribe rendering engine can not perform advanced rendering like eliding on PUA characters.

Troubleshooting overview


Playback level too low

If the speaker playback volume is too low, and you have already adjusted the speaker volume control knob, do the following:

  1. In Speech Analyzer, on the Playback menu, click Player.

    The Player dialog box appears.

  2. Click Mixer.

    The Volume Control dialog box appears.

  3. If the Volume Control or Wave devices are not displayed, do the following:

    • On the Options menu, click Properties.

      The Properties dialog box appears.

    • In the Adjust volume for area, click Playback.

    • Select the Volume Control or Wave check box, and then click OK.

  4. Under the sliders, clear all the Mute check boxes.

  5. Drag the slider for Volume Control and Wave to the desired level.

Note

  • This procedure changes the playback level for all windows applications.
  • To display a Volume Control dialog box as a small speaker icon in the bottom right screen, on the Windows Control Panel dialog box, click Sounds and Audio Devices, and then select the Place volume icon in the task bar check box.
  • Sometimes Mute is selected for Wave and PC Speakers to prevent speaker feedback.

Related Topics

Troubleshooting overview

Recording level too low


Recording level too low

If the sound recorded from a microphone or tape recorder in Speech Analyzer sounds weak, do the following:

  1. In Speech Analyzer, select the File menu, and click Record New.

    The Recorder dialog box appears.

  2. Click Input.

    The Recording Control dialog box appears.

  3. If the slider for the device you are recording from does not display, do the following:

    • On the Options menu, click Properties, and select Recording.
    • In the Show the following volume controls area, select the device you are recording from (for example, Microphone), and then click OK.

  4. Adjust the Volume slider up or down on the device you are recording from (for example, Microphone).

  5. If you are using a microphone, and the recording level is still too low, do the following:

    • On the Options menu, click Advanced Controls to display the Advanced button under the Microphone area.

    • Under the Microphone area, click Advanced.

      The Advanced Controls for Microphone dialog box appears.

  6. Under Other Controls, select the 1 Microphone Boost check box (or a similar phrase), and then click Close.

Note

  • This procedure changes the recording level for all windows applications.
  • To display a Volume Control dialog box as a small speaker icon in the lower right screen, on the Windows Control Panel dialog box, click Sounds and Audio Devices, and then select the Place volume icon in the task bar check box.

Related Topics

Troubleshooting overview

Playback level too low


Segment boundary markers visible/not-visible

To show or hide segment boundary markers, do the following:

  1. On the Graphs menu, point to View, and then point to Segment Boundaries.
  2. To show segment boundary markers, select All Graphs, This Graph, or Waveform Only.
  3. To hide segment boundary markers, select No Graphs.

Note

  • When you select segment boundary markers, they may be difficult to see.

Troubleshooting overview


Sound device error

  • When working with Speech Analyzer, the following message may display:

Sound device error: resources already allocated.

  • The problem happens when an audio player (for example, Real Player) is already open.

Close the audio player and the error disappears.

Troubleshooting overview


Transcription bars do not display characters correctly

For example, a transcription bar might not display the double vertical line character, U+2016, in the Doulos SIL font at a size of 20 points.

To change the font size, do the following:

  1. On the Tools menu, click Options.

    The Options dialog box appears.

  2. Click the Fonts tab.

  3. When you have finished changing the font size, click OK.

Note

  • A transcription is a text that is time-aligned with the audio data, such as the phonetic and phonemic transcriptions.

Related Topics

Troubleshooting overview

Transcription overview


Transcriptions no longer appear

Speech Analyzer stores transcription data in a file with a .saxml extension in the same folder as the wave file.

If the transcriptions no longer appear for a wave file that you previously transcribed, any of the following may have happened:

  • The wave file was renamed or moved.

    Rename the .saxml file so its name corresponds to the name of the wave file.

    Move the .saxml file into the same folder as the wave file.

  • The .saxml for the wave file was renamed or moved.

    Rename the .saxml file so its name corresponds to the name of the wave file.

    Move the .saxml file into the same folder as the wave file.

  • You opened a copy of the wave file.

    Make a copy of original .saxml file, and then rename it, or move it, or both.

  • The .saxml for the wave file was deleted.

    If possible, restore the .saxml file.

    If the file was originally transcribed in an earlier version of Speech Analyzer and converted to Unicode in this version, Speech Analyzer backs up the wave file with a .sa2.wav extension in a SA2 Wav Files folder. Delete the wave file, copy the backup of the wave file, remove the .sa2 part from the filename, and then open the file in Speech Analyzer. You can convert the original transcriptions to Unicode again. Only changes made since the previous Unicode conversion are lost.

Troubleshooting overview


Transcriptions were skipped during import

If you imported a Standard Format .sfm file that included Reference, Tone or Phrase Level Transcriptions, they were skipped during import. This is a limitation in the current version of Speech Analyzer. It may be addressed in a future version.

Troubleshooting overview


Unusual problems

If you are unable to solve an unusual problem, try the following:

  1. Exit Speech Analyzer, and then start Speech Analyzer again.
  2. If step 1 does not work, exit Speech Analyzer, delete the sa3.psa file, and then start Speech Analyzer again.

The path to the sa3.psa file depends on the version of Microsoft Windows.

  • Windows 2000 and XP:

C:\Documents and Settings\username\My Documents\Speech Analyzer\sa3.psa

  • Windows Vista:

C:\Users\username\Documents\Speech Analyzer\sa3.psa

Troubleshooting overview


User Interface


Menus


Edit


Character Chart

In Speech Analyzer, you can add a time-aligned IPA transcription to the speech recording using the 1996 version of the International Phonetic Alphabet. There is also support for adding time-aligned Phonemic, Orthographic and Gloss transcriptions.

The Character Chart dialog box appears when you click IPA Chart on the Transcription Editor or Find and Replace dialog boxes. When you use the character chart with Transcription Editor, you must first select a segment.

To use the Character Chart dialog box, do one of the following:

  1. Click the Vowels, Consonants, Diacritics, or Suprasegmentals tab.

    A different chart displays with each tab.

  2. To compare Character Chart sounds with the selected segment, select any of the following, and place the cursor over an IPA character:

    • To hear a sample IPA sound, select the Sound check box.
    • To hear the gloss segment containing the selected segment, select the Word check box.
    • To hear the selected segment, select the Segment check box.

    A larger character image appears, and the sound plays

  3. To add a character in the Click to add characters box, left-click an IPA character.

    The IPA character appears in the Click items in the chart to add characters box.

  4. Click OK.

    The contents of the Click items in the chart to add characters box transfers to the Find, Replace or Transcription Editor dialog box. In Transcription Editor, the segment title changes.

Note

  • You can read more on the Web about Unicode, by going to:

    http://www.unicode.org/standard/standard.html

  • The order of the sounds that play are Word first, then Segment, then Sound.

  • You can Undo or Redo any transcription substitutions with the Character Chart.

Transcription Editor


Cut, Copy, and Paste

To copy an audio portion

  1. Select a segment or select a waveform portion you want to copy, and then do one of the following:

    • On the Edit menu, click Copy, or press the shortcut key Ctrl+C.
    • On the Edit menu, click Cut, or press the shortcut key Ctrl+X.

  2. Move the insertion point to the destination where you want to copy the item.

    If you want to copy the item to another document, or application, switch to the destination document (or application).

  3. On the Edit menu, click Paste, or press the shortcut key Ctrl+V.

To copy pitch, intensity and formant measurements to Microsoft Excel

  1. Position the begin cursor or select a waveform portion where you want to take the measurements.

  2. On the Edit menu, click Copy Measurements, or press the shortcut key Ctrl+Shift+C.

    Measurements copy to the Clipboard in tab-delimited format. This is ideal for copying into a spreadsheet application, such as Microsoft Excel.

    If a waveform portion was selected, the average measurements for that portion copy to the Clipboard.

  3. Switch to Microsoft Excel.

  4. Use the paste feature in Microsoft Excel.

To copy a music notation

  1. On the Staff, drag the mouse pointer over the selected note(s) to copy or cut, and then do one of the following:

    • On the Staff shortcut menu, click Copy, or press the shortcut key Ctrl+C.
    • On the Staff shortcut menu, click Cut, or press the shortcut key Ctrl+X.

  2. Move the insertion point to the destination where you want to copy the item.

    If you want to copy the item to another document, or application, switch to the destination document (or application).

  3. On the Staff shortcut menu, click Paste, or press the shortcut key Ctrl+V.

    You can paste a music notation into text editors or word processors. If a program supports Rich Text data, the notes will be pasted in RTF format. Otherwise, they will be pasted in their data (TXT) format

Tip

  • To move an item, you can copy it from the source location, paste it to the destination, and then delete it from the source location. This procedure works the same as Cut and Paste, and minimizes accidentally deleting audio data.
  • To paste data into a new file, instead of a current file, on the Edit menu, click Paste as New.

Edit overview


Direct Edit

You can edit a transcription with Direct Edit or Transcription Editor. With Direct Edit, you can begin typing directly into a selected segment. For complex scripts, such as IPA, a different keyboard layout is required.

  • If you change edit modes, de-select the segment of interest by clicking anywhere in the graph area to save any recently edited data.
  • To change edit modes, de-select the edited segment, switch edit modes, and select a segment.

To activate Direct Edit, do one of the following:

  1. Select a segment.

  2. To activate Direct Edit mode, do one of the following:

    • On the Edit menu, point to Transcription, and then click Direct Edit.
    • Click the selected segment, a second time.
    • Press F2.

    The transcription text turns white and highlights.

  3. To activate Direct Edit mode, and clear the transcription text, press the Spacebar.

    The transcription text turns white and an empty box replaces the text.

  4. Type any needed text.

  5. To leave Direct Edit mode, press Enter, or click another segment.

Note

  • You can Undo or Redo any changes made in Direct Edit mode.

Transcription overview


Find

On the Edit menu, you can locate text and, optionally, replace the text with new characters.

  1. Select a segment.

  2. On the Edit menu, click Find, or press F3.

    The Find and Replace dialog box appears

  3. In the Find What box, enter the characters to search.

    To select characters for the Find What text box, click IPA Chart.

  4. In the Search In list, select a transcription bar to search.

    If you select Gloss, you can select a word break (#) or bookmark (!).

  5. To search from the currently selected segment toward the end of the file (to the right side of the window), click Find Next.

    All searches are case-sensitive. Be sure to type the correct case into the Find-What box.

  6. To search from the currently selected segment toward the beginning of the file (to the left side of the window), click Find Previous.

  7. To replace the found text with new text, click Replace.

  8. To close the Find and Replace dialog box, click Close.

Important

  • If no text was found in the entire recording, the Speech Analyzer dialog box appears with the message The search item was not found.

Edit overview


Edit overview

On the Edit menu, you can do the following:

  • Undo or Redo the last edit that was made.
  • Add, edit, or remove a transcription in the active file.
  • Toggle Segment Boundaries display on and off.
  • Cut, Copy, or Paste previously selected data.
  • Paste audio as New File.
  • Select Waveform data between the begin and end cursors.
  • Select a segment.
  • Find characters in the entire file.
  • Replace specified text with new text.

Menus overview


Paste As New File

To paste audio data into a new file, do the following:

  1. Select waveform data to copy.

  2. To copy the selected waveform to the Clipboard, do one of the following:

    • On the Edit menu, click Copy.
    • Press Ctrl+C.

  3. To create a new file from the Clipboard data, do one of the following:

    • On the Edit or File menu, click Paste As New File.
    • Press Ctrl+N.

    A new window opens displaying the new file.

  4. To switch to your previously active graph, select the file on the Window menu.

Edit overview


Replace

On the Edit menu, you can replace text found in the Phonetic, Tone, Phonemic, Orthographic, Gloss, Reference, or Phrase L1-L4 transcription bars.

  1. Select a segment.

  2. Do one of the following:

    • Use Find to locate text, and then click Replace.

      The Replace All button appears.

    • On the Edit menu, click Replace, and then locate text, using Find Next.

  3. In the Replace With box, enter the characters to replace.

  4. To view and listen to possible replacement characters, click IPA Chart

  5. To replace the first occurrence, click Replace.

    The text in the Replace With box replaces the next occurrence of the text in Find What without requesting confirmation of the replacement.

  6. To replace all occurrences, click Replace All.

    The text in Replace With replaces all occurrences of the text in Find What without requesting confirmation of each replacement.

  7. To close the Find and Replace dialog box, click Close.

Note

  • The replace operation always proceeds from left to right.
  • When no more text is found to replace in the entire recording, the Speech Analyzer dialog box appears with the message The search item was not found

Edit overview


Segment

A segment is a region of sound containing an acoustic event, such as a phone, word, or musical note.

Segmentation is the process of marking a recording into such regions.

  • A segment start is the elapsed time in seconds from the beginning of a recording to the beginning of a segment and displays on the status bar.
  • A segment length is the length of a segment in seconds.

Edit overview


Segment Boundaries

On the Edit menu, you can resize transcription segment boundaries by clicking Segment Boundaries. This prevents the creation of gaps (islands) while editing. Boundaries remain touching; as one segment expands, its neighbor shrinks (co-dependent pairs).

  • To turn segment boundaries off and on, do any of the following:
    • On the Edit menu, click Segment Boundaries.
    • On the toolbar, click Edit Boundaries [image].
    • Press Insert.

Note

  • To create a co-dependent pair from non-touching adjacent segments, hold down the Alt key and drag one of the cursors, until it touches the border of the other segment.
  • Resizing one segment may also resize other segments whose widths are dependent upon the one you are resizing.
  • You can move a common segment border, but the end border remains fixed.

Edit overview


Segment resizing details

An audio file can contain gaps in the segmentation. This may occur if the recording contains periods of silence or background noise. Speech Analyzer does not require segments to be touching.

To eliminate a segment boundary gap

  1. On the Graphs menu, point to View, point to Segment Boundaries, and then select the graphs.

    Segment boundaries display on the Raw Waveform graph.

  2. On the Edit menu, select Segment Boundaries or press [image] on the toolbar.

  3. Select a Phonetic segment, next to the segment boundary gap.

  4. Drag the begin or end cursor toward the segment boundary gap.

    The segment boundary gap disappears.

To create a segment boundary gap

  • A Phonetic segment is required before adding Phonemic and Orthographic segments.
  • Phonemic and Orthographic segments automatically align with Phonetic segments.
  • Gloss always starts on a phonetic segment, but may span multiple phonetic segments.
  • Phrase Level segment boundaries are independent of all others.

To resize segments whose widths are dependent upon the phonetic segment width:

  1. Select the phonetic segment to place the gap.
  2. Place the begin and end cursors at the border of the phonetic segment to resize.
  3. Hold down Ctrl + Shift, and then do one of the following:
    • Drag the begin cursor to the right to make a gap to the left of this segment.
    • Drag the end cursor to the left to make a gap to the right of this segment.
  4. Insert a Gloss word break character where you wish the gap to begin.

An empty segment will span the gap but there will be no text inside.

To overlap phonetic sounds (coarticulation)

Coarticulation is the influence successive speech sounds exert on each other, especially on the boundary between sounds. Speech Analyzer allows up to 40% overlap.

  1. Click the Phonetic segment you wish to coarticulate.
  2. Hold down Ctrl + Shift, and do one of the following:
    • Drag the end cursor to the right.
    • Drag the begin cursor to the left.

Note

  • Always release the mouse button before you release Ctrl + Shift.

Edit overview


Select a segment

If the audio data has been divided into segments in Speech Analyzer, you can do any of the following to select the text in the active transcription bar.

  • Click a segment in a transcription bar at the upper edge of a time-based graph.

    The transcription text is highlighted.

    The begin and end cursors mark the segment.

  • On the Edit menu, point to Select, and then do any of the following:

    • To select the next segment, click Next Item.
    • To select the previous segment, click Previous Item.
    • To select the segment in the transcription bar above, click Up Item.
    • To select the segment in the transcription bar below, click Down Item.

  • On the toolbar, do any of the following:

    • To select the next segment, click [image].
    • To select the previous segment, click [image].

  • Press any of the following shortcut keys: Alt+Up Arrow, Alt+Down Arrow, Alt+Right Arrow, or Alt+Left Arrow.

Important

  • If you intend to cut or copy a portion of audio data, you can select a segment using any of the preceding methods, and then you must select the waveform.

Edit overview


Select Waveform

Before you can cut or copy a portion of audio data, you must select it.

Move the cursors

  1. To mark a portion of audio data, do one of the following:
    • Move the begin and end cursors in any time-based graph.
    • Select a segment.
  2. Do one of the following:
    • On the Edit menu, click Select Waveform.
    • Press the shortcut keys Ctrl+A.
    The audio data between the cursors is selected (highlighted).

Drag the begin cursor

  • Hold down the Ctrl key, and then drag the begin cursor across the portion of audio data in the Raw Waveform graph.

Note

  • To move a cursor to a precise point in time, you might need to zoom in.

Edit overview


Transcription


Add Gloss Bookmark

You can add a bookmark to flag an area of a recording for future reference. You can add as many bookmarks as you need.

Bookmarks are helpful if you want to return to a specific area of your data after an interruption. For example, if data is not clear, you can bookmark an area, and return to it when you have more information.

To insert a bookmark, do the following:

  1. Select a Raw Waveform graph to display.
  2. Select a segment, in the Gloss transcription bar, to indicate the placement of the bookmark character.
  3. Do one of the following:
    • On the Edit menu, point to Transcription, and then click Add Gloss Bookmark.
    • Right-click in the Phonetic transcription bar, and then click Add Bookmark.
    • Press Ctrl+B.

The Gloss transcription bar appears with a bookmark character ( ! ) to the left of the segment.

Note

  • You Undo or Redo changes made in adding a bookmark.

Transcription overview


Add Gloss Word Segment

To add a gloss word to a recording, do the following:

  1. Use the begin cursor in the Raw Waveform graph to select a phonetic segment to add.
  2. To add a Gloss Word segment, do any of the following:
    • On the Edit menu, point to Transcription, and then click Add Gloss Word Segment.
    • Press Ctrl+W.
    • Right-click in the Phonetic transcription bar, and then click Add Word.
    • On the Transcription Editor dialog box, click Word.
    • On the toolbar, click Add Word Segment [image].

A Gloss word, beginning with a word break symbol (#) appears in the Gloss transcription bar. A new Reference segment is also automatically created.

  1. To enter or edit the Gloss text, use Direct Edit or the transcription editor.

To help see where to place text, on the Graphs menu, point to View, and point to Segment Boundaries to activate the phonetic segment boundary markers.

  1. To remove or delete a Gloss word segment, do one of the following:
    • Select a segment, and then press Del.
    • On the Transcription Editor dialog box, select the segment, and then click Remove.
    • On the Edit menu, point to Transcription, and then click Remove Segment.

Note

  • You can Undo and Redo adding or removing a Gloss word.
  • When you create a gloss word, the phonetic boundaries nearest the begin and end cursor are chosen as the gloss word segment boundaries.
  • You can put a word break (#), or bookmark (!) in a Gloss transcription.
  • You cannot add a Gloss word, if you position the begin cursor on top of an existing word break symbol.

Transcription overview


Add Phonetic Segment

To add a new phonetic segment, do the following:

  1. Select a segment, or any unsegmented area with the begin and end cursor.
  2. Do one of the following:
    • On the Edit menu, point to Transcription, and then click Add Phonetic Segment.
    • On the toolbar, click Add Phonetic Segment [image].
    • Right-click in the Phonetic area, and then click Add Phonetic.
    • Press Alt+=

In the Phonetic area, a new segment appears. If you selected a segment, a 100 millisecond phonetic segment appears to the right of the selected segment.

  1. Use Direct Edit or transcription editor to add a phonetic title in the Phonetic area.
  2. You might need to resize the segment.

Tip

  • To listen more slowly to the sound you transcribe, before deciding upon a character, on the Playback menu, click Player, in the Play list select Between Cursors,** and then adjust the Speed slider.
  • If you are performing length analysis, segment boundary placement is very important.

Note

  • If the area selected is less than 20 milliseconds, Add Phonetic Segment is disabled.
  • You can Undo or Redo adding or removing a Phonetic segment.
  • To readjust the segment boundaries, on the toolbar, click Edit Boundaries [image].
  • To see segment boundaries, on the Graphs menu, point to View, and point to Segment Boundaries.

Transcription overview


Add Phrase Level

The Phrase Level transcription bars are used for music analysis in several hierarchical levels (for example, phrases, sections, verses, and so on), L1 being the highest, L4 the lowest. Phrase Level segment boundaries are independent of all others.

To create a phrase level segment, do the following:

  1. Select a Melogram to display.
  2. To position the phase level transcription, in the Melogram graph, position the begin cursor to the beginning of a phrase and the end cursor at the end of the phrase.
  3. To display an empty phrase level transcription bar, on the Graphs menu, point to Transcription, point to the Phrase Level number, and then select on which graphs the bar displays (for example, All Graphs).
  4. On the Edit menu, point to Transcription, and then select the same Phrase Level segment number selected on the Graphs menu (for example, if you displayed the Phrase Level 3 transcription, select Add Phrase L3 Segment).
  5. To create a transcription for the selected phrase, you can use Direct Edit or Transcription Editor.

Note

  • No Phrase Level transcription bar appears on the Staff.
  • You can use the Phrase L1-L4 transcription bar to search in the Find or Replace commands.
  • You can Undo or Redo any changes made to phrase level transcription bars.

Transcription overview


Add Syllable Segment

This option inserts a syllable symbol (.) in the Phonetic transcription bar as a new Phonetic segment just before a highlighted segment.

To add a syllable segment to a recording, do the following:

  1. Select a phonetic segment.
  2. To add a syllable segment, do one of the following:
    • On the Edit menu, point to Transcription, and then click Add Syllable Segment.
    • On the toolbar, click Add Syllable Segment [image], or press Ctrl+L.

An empty segment appears to the left of the selected segment.

  1. To edit the empty transcription text, use Direct Edit or the Transcription Editor.

Note

  • To see segments boundaries, on the Graphs menu, point to View, point to Segment Boundaries, and then select the graphs.

Transcription overview


Transcription Editor

A transcription is a text that is time-aligned with the audio data, such as the phonetic and phonemic transcriptions. You can add or remove segments and edit their transcriptions in the Transcription Editor. You may also add or edit word, bookmark, and syllable markers in the Gloss transcription bar.

  1. Select a segment or area to add a new segment with the begin and end cursors.
  2. To open Transcription Editor dialog box, do one of the following:
    • On the Edit menu, point to Transcription, and then click Show Transcription Editor.
    • Double-click any transcription bar.
    • Right-click in the Phonetic area, and then click Show Transcription Editor.
    • Press F4.

If you do not select a segment, the message Disabled - select or add a segment appears in the Transcription Editor dialog box.

  1. To view different segments, do one of the following:
    • To view the previous segment to the left, click [image].
    • To view the next segment to the right, click [image].
    • To view the segment in the transcription bar above, click [image].
    • To view the segment in the transcription bar below, click [image].
  2. To select symbols to insert in the transcription, click IPA Chart.

You can click symbols in the Character Chart dialog box to add to the transcription.

  1. To playback a portion of the recording in the Playback area, click Segment or Word.
  2. To add a segment, do one of the following:
    • Select a Phonetic segment, and then click Add.

A 100 millisecond phonetic segment appears to the right. You can then resize these segments.

  1. Select an unsegmented area with the begin and end cursors, and then click Add.

A phonetic segment appears.

  1. To delete a segment, select a segment, and then click Remove.
  2. To add a gloss word break, in the Add Gloss area, click Word.
  3. To add a bookmark, in the Add Gloss area, click Bookmark.
  4. Click Close to replace the transcription for the segment.

Important

  • You must add a Phonetic segment before adding any other transcription.

Note

  • If the begin and end cursors are closer than 20 milliseconds, Add Phonetic Segment is disabled.
  • In Transcription Editor dialog box, you can change fonts.

Transcription overview


Transcription guidelines

A transcription is a text that is time-aligned with the audio data. An annotation is an explanatory comment added to help understand the wave file. Annotations can be found on the Comments and Source tabs of the File Information dialog box. The transcription categories, Reference, Phonetic, Phonemic, Tone, Orthographic, and Gloss, appear as bars above the graph. Phrase Level transcription is used for music analysis in several hierarchical levels, L1 being the highest, L4 the lowest.

You can edit transcription characters using Direct Edit or Transcription Editor.

The following are some basic guideline for transcriptions:

  • Before you transcribe, you may need to resize the phonetic segment, because some segments take their width from the Phonetic segment.
  • To display a transcription bar, do one of the following:

    • On the Graphs menu, point to Transcription Bars, point to a transcription type, and then select a graph category (such as All Graphs).

      A transcription bar appears above every graph category selected.

  • Right-click in any graph display area, point to Transcription Bars on the shortcut menu, and then select a transcription type (such as Gloss).

A transcription bar appears above the specific graph in which you right-clicked.

Notes for transcription types

  • Phonetic - transcribe segments with IPA Characters.
    • Add phonetic segments before you complete any other transcription, because this determines the width of other segments. You can also resize the segment.
  • Phonemic - transcribe after phonetic segmentation of the recording.
  • Tone - transcribe after phonetic segmentation of the recording.
    • To ensure the Tone transcription bar is always above the other transcription bars, click Tone Above on the View tab of the Options dialog box.
  • Orthographic - transcribe after phonetic segmentation of the recording.
  • Gloss - complete phonetic segmentation of the recording is not required before transcription.
    • Presently, Gloss segments can only begin where a Phonetic segment is marked. It can be empty.
    • You can still insert word breaks or bookmarks even if the gloss is unknown.
  • Reference - enter field translation notebook word numbers. Transcribe only after a Gloss segment is added. If a segment is added to Gloss, it is automatically added to Reference.

Note

  • Once a new Phonetic segment is added, new Phonemic, Tone, and Orthographic segments are automatically added, with the same width.

  • To enter a field translation notebook word number for each word segment of the recording:

    On the File menu, click Information. Click the Source tab. In the Notebook area, type in the Reference text box, and then click OK.

Transcription Editor


Keyboards for typing Unicode characters

To type Unicode characters that do not appear on your keyboard, especially in the transcription bars, you might need to install different keyboard layouts. For example, the International Phonetic Alphabet (IPA).

  • Tavultesoft Keyman is a computer program that can help you install and use keyboard layouts.

Speech Analyzer provides a Keyman keyboard developed by the Non-Roman Script Initiative (NRSI) for typing IPA characters.

  • Microsoft Keyboard Layout Creator (MSKLC) allows you to create, modify, and install custom keyboards.

Speech Analyzer provides a MSKLC keyboard developed by the Non-Roman Script Initiative (NRSI) for typing IPA characters.

Tip

  • For more information about IPA keyboards:

On the taskbar, click the Start button, click Programs or All Programs, click SIL Software, click Speech Analyzer, and then click Speech Analyzer ReadMe.

Transcription overview


Transcription overview

A transcription is a text that is time-aligned with the audio data, such as the phonetic and phonemic transcriptions. On the Edit menu, point to Transcription to add and remove segments, and edit transcription bars, as well as adding syllables, words, bookmarks, and segments.

To use transcriptions, do the following:

  1. Select a segment.
  2. On the Edit menu, point to Transcription, and then do any of the following:
    • Click Add Phonetic Segment or press Alt+=.
    • Click Show Transcription Editor or press F4.
    • Click Direct Edit, press F2, or click in a segment.
    • Click Remove Segment or press Delete.
    • Click Add Syllable Segment or press Ctrl+L.
    • Click Add Gloss Word Segment or press Ctrl+W.
    • Click Add Gloss Bookmark or press Ctrl+B.
    • Click Add Phrase L1 Segment.
    • Click Add Phrase L2 Segment.
    • Click Add Phrase L3 Segment.
    • Click Add Phrase L4 Segment.
    • Click Update All Boundaries.

Related Topics

Edit overview

Keyboards for typing Unicode characters


Update All Boundaries

Use Update All Boundaries to recalculate the beginning and end of segments to Fragments (Pitch Periods).

  • On the Edit menu, point to Transcription, and then click Update All Boundaries.

Update All Boundaries remains unavailable, as long as Speech Analyzer can recompute boundaries automatically.

Note

  • We recommend you display segment boundary markers.

Transcription overview


Word Break

You can insert a word break character (#), by doing the following:

  1. Select a segment to indicate the placement of the word break character.

The word break character (#) will appear to the left of the transcription character.

  1. On the Transcription Editor dialog box, in the Add Gloss area, click Word.

A word break character (#) appears in the Gloss taskbar.

Note

  • Alternatively, you can point to Transcriptions on the Edit menu, and click Add Gloss Word Segment.
  • If a transcription character is bookmarked, the word break character (#) is replaced by the book mark character (!).
  • You can use the word break character (#) in Phonology Assistant as an indication of phonological word boundaries in recorded speech. This is the equivalent of putting a space character between a string of phonetic characters.

Transcription Editor


Undo and Redo

  1. To reverse the effect of the most recent changes, do one of the following:
    • On the Edit menu, click Undo.
    • On the toolbar, click Undo [image].
    • Press the shortcut key Ctrl+Z.
  2. To reverse the effect of the most recent Undo, do one of the following:
    • On the Edit menu, click Redo.
    • Press the shortcut key Ctrl+Y.

Note

  • You can Undo or Redo up to 100 changes.

Edit overview


File


Audio input devices

In Speech Analyzer, you can record data in two ways:

  • Record spoken utterances directly from microphone input to the computer.
  • Record spoken utterances on an external recording device (for example, a MiniDisc recorder), and then record the playback from line input to the computer.

Tip

  • If you use an an external recording device, it gives an immediate backup.

    A minidisk recorder is preferable, but a good quality personal stereo, with clean heads will do.

  • Get the necessary cables and adapters, and connect them properly.

  • Make sure a microphone is equipped with a wind screen.

  • Place the microphone close to the mouth, but out of the oral and nasal airstreams. Headset microphones are helpful for maintaining placement

  • Choose a recording location free of echo.

  • Adjust the computer recording volume.

    Speech Analyzer provides a recording volume control on the Recorder dialog box. Make sure to set the recording level so that it rarely goes into the red. Do not set the recording level too low.

Record New


Close

If you attempt to close a file which has been changed since the last save, Speech Analyzer prompts you to save the file. To close a file, do one of the following:

  • On the File menu, click Close to close the active file.
  • On the File menu, click Exit to close all files and exit Speech Analyzer.

File overview


Export


Export overview

  • On the File menu, point to Export, and then do one of the following:
    • To export the file in Standard Format to be read by a program, such as Shoebox, click Standard Format (.SFM).
    • To export the file in table form, click SFM Time Table (.SFT).
    • To export the file in a format readable by modern web browsers, click Extensible Markup (.XML).
    • To export data from a Staff, click Staff Notes.

Note

  • You can import all the file formats you export, except an SFM Time Table (.SFT).

File overview


Export Standard Format (.SFM)

Speech Analyzer can export data in Standard Format so that you can open the data in other programs.

Standard Format is a format for text files that contain language and culture data.

A field is a unit of data in a Standard Format file that consists of a marker and data.

Depending on the check boxes that you selected in the Export Speech Format dialog box, the exported file can contain some or all of the following fields.

Transcriptions appear on transcription bars above the plot area of graphs.

Other data appear on the tabs of the File Information dialog box.

Marker | Data | Tab
 | Standard Format file path and name |
\date | Export time (day, month, year, time) |
 | Audio file path and name | File
 | Reference transcription for example, word number |
 | Phonetic transcription | Comments
 | Tone transcription |
 | Phonemic transcription |
 | Orthographic transcription |
 | Gloss transcription |
 | Part of speech not used in Speech Analyzer 3.0 |
 | Phrase Level 1 transcription |
 | Phrase Level 2 transcription |
 | Phrase Level 3 transcription |
 | Phrase Level 4 transcription |
 | Free translation | Comments
 | Number of phones in the transcription | Data
 | Number of words in the transcription | Data
 | Audio file created (day, month, year, time) | File
 | Audio file last edited (day, month, year, time) | File
 | Audio file size (bytes) | File
 | Original audio file format wave file (WAV) utterance (UTT) recorded using CECIL or WinCecil, and then converted to wave file | File
 | Number of samples | Data
 | Length of the audio data (seconds) | Data
 | Sampling frequency (hertz) | Data
 | Bandwidth of the original recording (hertz) *Bandwidth of the audio data can be less than the original bandwidth if the audio data was processed by AudioCon | Data*
 | Highpass filtered during recording (Yes or No) | Data
 | Storage format of the file (bits) | Data
 | Sample size of the original recording (bits) *Sample size of the audio data can be less than the original sample size if the audio data was processed by AudioCon | Data*
 | Language name | Source
 | Dialect of the language | Source
 | Linguistic family of the language | Source
 | Ethnologue code of the language | Source
 | Country of the language | Source
 | Region of the language | Source
 | Name of the language speaker | Source
 | Gender of the language speaker | Source
 | Reference to the researcher’s data for example, page and line numbers | Source
 | Researcher who transcribed the data | Source
 | Description of the audio file | Comments

Standard Format or Extensible Markup


SFM Time Table

  1. On the File menu, point to Export, and then click SFM Time Table (.SFT).

    The Export Time Table dialog box appears.

  2. In the Sample area, do one of the following:

    • Select Phonetic Segments.

      A message can appear No phonetic segments. Sample on time interval. Click OK.

    • Select Every in the Sample area and enter the interval in milliseconds in the box.

    The available items in the Include area change accordingly.

  3. In the Calculations area, select either Midpoint Value or Average Value.

  4. In the Region area, select either Between Cursors or Entire File.

  5. In the Include area, do any of the following:

    • Select the Segment Start check box and/or the Segment Length check box.

    • Select either the All Transcriptions check box or clear the All Transcriptions check box, and select individual transcriptions to export.

    • Select either the All Calculations check box or clear All Calculations check box, and select individual calculations to export.

      If you clear the All Calculations check box, select the All Formants check box, or clear the All Formants check box, and select individual formants to export (for example F1, F2, and so on).

  6. Click Export.

    The Save As dialog box appears.

  7. If needed, in the Save in list, browse to a different folder to save.

  8. In the File name box, enter or type a new name.

  9. Click Save.

Note

  • After you select Every in the Sample area, the Phonetic check box is the only transcription available to export because in the current sample option, the segments do not match the segments used to enter the transcriptions.
  • Sampling is usually done by Phonetic Segments, and Calculations at Midpoint Value, since transition areas can be in a state of change.

Export


Standard Format or Extensible Markup

  1. On the File menu, point to Export and do one of the following:

    • To export the file in SIL Standard Format for the Field Linguist’s Toolbox, click Standard Format (.SFM)
    • To export the file in a format readable by modern web browsers, click Extensible Markup (.XML)

    The Export Speech Format dialog box appears.

  2. To export the audio file name, select the Audio File Name check box.

  3. To export all the transcription information, select the All Transcriptions, All File Information, All Parameters, and All Source check boxes.

    To export selected portions of these categories, clear the category, and select any selected portions you want to export.

  4. To export free translation information, select the Free Translation check box.

  5. To export the number of phones, select the Number of Phones check box.

  6. To export the number of words, select the Number of Words check box.

  7. To vertically align the exported transcriptions, select the Interlinearize Transcriptions check box.

  8. Click Export.

    The Save As dialog box appears.

  9. If needed, in the Save in list, browse to a different folder to save.

  10. In the File name box, enter or type a new name.

  11. Click Save.

Export overview


Staff Notes

You can export musical analysis information as a MusicXML, MIDI file, or with note codes in a text file.

  1. Do one of the following:

    • On the File menu, point to Export and then click Staff Notes (.MID).
    • Right-click the Staff, and then click Export to file.
    • On the Staff, click Export.

    The Save As dialog box appears.

  2. In the Save as type box, select one of the following:

    • To export the information as MusicXML, select MusicXML file (*.xml).

      MusicXML is an open, XML-based music notation file format. This is a richer format than MIDI. Many music notation packages, like Sibelius and Finale, support this interchange format.

    • To export the information as a Type 0 MIDI file (single track), select MIDI file (*.mid).

      MIDI stands for Musical Instrument Digital Interface. It is an electronic standard used for the transmission of digitally encoded music.

    • To export the information as notes on a staff, select Rich Text file (*.rtf).

    • To export the information as 7-character data strings identifying the pitch of each note which can be read back into Speech Analyzer at a later time, select Text file (*.txt).

  3. If needed, in the Save in list, browse to a different folder to save.

  4. In the File name box, enter or type a new name.

  5. Click Save.

Note

  • A Glide does not playback in Play Selection, on the Staff shortcut menu, or export in MusicXML or MIDI format.

Export overview


Export Time Table (.SFT)

When you export an SFM Time Table, you create a file containing numeric data which may be time-aligned to a Phonetic segment or to a user-selected time frame.

  • Here is a description of all the fields on the output file.
    • \name - Exported file name and path (from the File tab).
    • \date - Day, month, year, time of export.
    • \wav - Wav file path and name which was exported.
    • \calc - calculations either averaged or mid-point values.
    • \table - table data.
  • All the data for a particular segment at a specific time displays horizontally. Column headings identify each type of data. For example:
Start Length Ref Etic Tone Emic Ortho Gloss Pos MagdB Pitch(Hz)
  • The following is the explanation for each column heading:
    • Start - Start time of each segment or frame.
    • Length - Length in time of this segment or frame.
    • Ref - the number of transcription windows.
    • Etic - the Phonetic transcription.
    • Tone - the Tone transcription.
    • Emic - the Phonemic transcription.
    • Ortho - the Orthographic transcription.
    • Gloss -the Gloss transcription.
    • POS - Part of Speech from Phonology Assistant.
    • Int(dB) - from the Magnitude graph.
    • Pitch(Hz) - from the Auto Pitch graph, in 2 columns.
    • RawPitch - from the Raw Pitch graph.
    • SmPitch - from the Smoothed Pitch graph.
    • Melogram(st) - Pitch in semitones from Melogram (during music analysis), in 2 columns.
    • ZCross - Crossings from the Zero Crossing graph.
    • Fx(Hz) - the hertz of each formant (X = F1 to F4).

SFM Time Table


Export Extensible Markup Language

Speech Analyzer can export data in Extensible Markup Language (XML) so that you can open the data in other programs.

Depending on the check boxes that you selected in the Export Speech Format dialog box, the exported file can contain some or all of the following elements.

Transcriptions appear on transcription bars above the plot area of graphs.

Other data appear on the tabs of the File Information dialog box.

FileInfo

Element | Data | Tab
Comments | Description of the audio file | Comments
AudioFile | Audio file path and name | File
CreationTime | Audio file created (day, month, year, time) | File
LastEdit | Audio file last edited (day, month, year, time) | File
FileSize | Audio file size (bytes) | File
OrigFormat | Original audio file format wave file (WAV) utterance (UTT) recorded using CECIL or WinCecil, and then converted to wave file | File

LinguisticInfo

Element | Data | Tab
PhoneticText | Phonetic transcription | Comments
Tone | Tone transcription |
PhonemicText | Phonemic transcription |
Orthographic | Orthographic transcription |
Gloss | Gloss transcription |
PartOfSpeech | Part of speech not used in Speech Analyzer 3.0 |
Reference | Reference transcription for example, word number |
PhraseLevel1 | Phrase Level 1 transcription |
PhraseLevel2 | Phrase Level 2 transcription |
PhraseLevel3 | Phrase Level 3 transcription |
PhraseLevel4 | Phrase Level 4 transcription |
FreeTranslation | Free translation | Comments
NumPhones | Number of phones in the transcription | Data
NumWords | Number of words in the transcription | Data

DataInfo

Element | Data | Tab
NumSamples | Number of samples | Data
Length | Length of the audio data (seconds) | Data
SamplingFreq | Sampling frequency (hertz) | Data
Bandwidth | Bandwidth of the original recording (hertz) *Bandwidth of the audio data can be less than the original bandwidth if the audio data was processed by AudioCon | Data*
HighPassFiltered | Highpass filtered during recording (Yes or No) | Data
StorageFormat | Storage format of the file (bits) | Data
QuantizSize | Sample size of the original recording (bits) *Sample size of the audio data can be less than the original sample size if the audio data was processed by AudioCon | Data*

SourceInfo

Element | Data | Tab
Language | Language name | Source
Dialect | Dialect of the language | Source
Family | Linguistic family of the language | Source
Country | Country of the language | Source
Region | Region of the language | Source
EthnologueID | Ethnologue code of the language | Source
SpeakerName | Name of the language speaker | Source
Gender | Gender of the language speaker | Source
NotebookReference | Reference to the researcher’s data for example, page and line numbers | Source
Transcriber | Researcher who transcribed the data | Source

Related Topics

Standard Format or Extensible Markup

Speech Analyzer XML


Import

You can import transcriptions or music notations. The Import command appears on the File menu only if an existing file is open in Speech Analyzer. You cannot import an SFM time table.

Import Standard Format (.sfm)

  1. On the File menu, point to Import, and then click Standard Format (.SFM).

    The Open dialog box appears.

  2. If needed, in the Look in list, browse to a different folder to import.

  3. Click the file in the list that contains the information to import.

  4. Click Open.

    Speech Analyzer imports the data from the specified file.

  5. The Result dialog box appears showing the imported data with standard format markers.

  6. Click Open.

Import Staff Notes (.xml, .mid, .txt)

To import Staff Notes, you must display the active file on the Staff.

  1. Do one of the following:

    • On the File menu, point to Import and then click Staff Notes.
    • Right-click the Staff, and then click Import from file.
    • On the Staff, click Import.

    The Open dialog box appears.

  2. If needed, in the Look in list, browse to a different folder to import.

  3. In the Files of type box, do one of the following:

    • To import from a MusicXML, select MusicXML file (*.xml).

      MusicXML is an open, XML-based music notation file format. This is a richer format than MIDI. Many music notation packages, like Sibelius and Finale, support this interchange format.

    • To import from a MIDI file, select MIDI file (*.mid).

      MIDI stands for Musical Instrument Digital Interface. It is an electronic standard used for the transmission of digitally encoded music.

    • To import from a text file, select Text file (*.txt).

      The files of that type appear in the current folder.

  4. Click the file in the list that contains the information to import.

  5. Click Open.

    Speech Analyzer imports the data to the Staff.

Note

  • You can only import .sfm or text files that have been previously exported by Speech Analyzer.

    When importing files, Speech Analyzer ignores the Reference, Tone, and Phrase Level transcriptions.

  • Speech Analyzer imports only the top line of MIDI or MusicXML files that are polyphonic or multi-track.

File overview


Information


Comments tab, File Information

In the Comments tab on the File Information dialog box, you can add annotation information. An annotation is an explanatory comment added to the wave file. You can add the following comment information about the active file:

  • In the Free Translation area, type or enter the intended sense of the translation.
  • In the File Description area, type or enter a meaningful name by which others may identify the recording.
  • In the Phonetic area, the complete phonetic transcription displays, showing all the individual phonetic characters from each segment.

Note

  • To avoid retyping the same source information when making a related set of recordings, select the Add File Information box on the Recorder Settings dialog box. All the source information saves, except the Speaker and Reference, until it changes or the check box is cleared.

Information overview


Data tab, File Information

On the File Information dialog box, the Data tab displays technical information about the active file.

Information type | Description
Number of Samples | This is the total number of digitized samples taken from the sound recording. A sample is a value taken from an audio signal at a precise point in time. The sequence of these samples graphed over time is the waveform (or raw waveform).
Length | This is the total time of the recording in seconds.
|Sampling Frequency|

The sampling frequency is the number of samples taken from an audio signal each second. It is also sometimes referred to as the sampling rate.

Higher sampling frequency often results in better quality recordings, at the cost of larger audio files

|Bandwidth|

The bandwidth is the difference between the highest and lowest frequencies a recording contains. This is usually half the sampling frequency, unless a filtering or resampling operation has been applied. The higher the bandwidth, the better recording quality. See also Storage Format and Quantization Size which affect the quality.

For files that may have been converted from CECIL (.utt) files to Windows (.wav) files, the bandwidth can never be greater than half the original Sampling Frequency.

|Highpass Filtered|

This indicates whether or not the 70 Hz highpass filter was applied during recording. The filter is selected in the Recorder Settings dialog box.

A highpass filter is a filter that passes high frequencies well, but attenuates (or reduces) frequencies lower than the cutoff frequency. This helps eliminate low-frequency hum or tape recorder rumble sounds.

|Storage Format|This value shows the precision of the recorded data.| |Quantization Size|

This is the original number of bits used to encode the amplitude of the sound recording at each digital sample point. A greater number of bits yields greater accuracy and quality. Files that were originally a CECIL (.utt) file will have an 8-bit value. Even though AudioCon is able to convert them to a Windows (.wav) format and 16 bits, the quality will still be no better than the original 8-bit recording.

The Quantization parameter was formerly known as Effective Sample Size.

|Number of Phones|This is the count of Phonetic Segments. This includes blank Phonetic Segments created by adding Syllable Breaks or other symbols.| |Number of Words|This is a count of the Gloss Segments (that is, the number of # Word Break symbols).|

Note

  • There is more information about Sampling Frequency, Highpass Filtering, and Storage Format in the Recorder Settings.
  • If a sound file was originally captured by a system with a fewer number of bits, even though it is stored using a more accurate system, it can never be better than the original file. For example, if a CECIL (.utt) file was originally recorded using 8 bits, then converted with AudioCon at 16 bits to the current .wav file, the quality can never be better than the original 8-bit sound, which is the Quantization.

Information overview


Information overview

Displays file attribute information such as recording parameters, comments, free translation and editable data. On the Source tab and Comments tab, you can add annotation information, which is an explanatory comment added about the wave file. You can add the following source information about the active file

  1. To view or edit, do one of the following:
    • On the File menu, click Information.
    • On the toolbar, click Information [image].
    • Press the shortcut key Ctrl+I.

The File Information dialog box appears.

  1. Do any of the following:
    • To view file attribute information, click the File tab.

The Path, Creation Time, Last Edit Time, and Size appear.

  1. To see analog-to-digital conversion information, click the Data tab.
  2. To enter language, speaker, Ethnologue, and notebook data, click the Source tab.
  3. To enter user comments about the file, click the Comments tab.

File overview


Source tab, File Information

On the Source tab of the File Information dialog box, you can add annotation information. An annotation is an explanatory comment added to the wave file. You can add the following source information about the active file:

  • In the Language area, enter or type the Name, Dialect, Country, Family, and Region.

In the Ethnologue ID, enter or type a unique three-letter code that identifies a language in the Ethnologue. The Ethnologue is a publication that brings together the best information available on the languages of the world.

For more information on the Web, go to http://www.ethnologue.com/web.asp

  • In the Speaker area, enter or type the speaker Name, and correct Gender.
  • In the Notebook area, enter or type a Reference and Transcriber name.

Note

  • To avoid retyping the same source information when making a related set of recordings saves, select the Add File Information box on the Recorder Settings dialog box. All the source information saves, until it changes, or the check box is cleared.

Information overview


Open

  1. To open an existing recording, do one of the following:

    • On the File menu, click Open.
    • On the toolbar, click Open [image].
    • Press the shortcut key Ctrl+O.

    The Open dialog appears.

  2. In the Look in box, select the desired folder.

  3. In the Files of type box, select the desired file type.

    The dialog box displays the available files of that type in the current folder.

  4. Select the file you wish to open from the list.

  5. To hear the recorded sound, click Play.

  6. To open the file, click Open.

  7. If a file needs to have segment boundaries reset, a message displays saying they are improperly set and asking if you wish to readjust. Click Yes.

  8. If the selected file contains transcription data from a previous version of Speech Analyzer, use the Transcription Encoding Converters dialog box that appears to select mapping converters.

    Speech Analyzer opens the selected file in a new window.

Important

  • Transcription and annotation data is stored in a file with a .saxml extension in the same folder as the audio file.
  • Music transcription data on the Staff is stored in a file with a .music.xml extension in the same folder as the audio file.
  • If you open a read-only audio file, the title bar displays (Read-only) after the file name.
  • Only .wav files stored in PCM format with mono recording in 8-bit or 16-bit sample size can be opened by Speech Analyzer. If you attempt to open .wav files in other formats, the program notifies you of the problem, and does not open the file.
  • Speech Analyzer cannot open CECIL utterance files (with the .utt extension), but you can use the AudioCon program to convert them to .wav file format.
  • All segmented files readjust when opened to set phonetic segment boundaries to the nearest fragment (pitch period).

Tip

  • You can open more than one file in Speech Analyzer. You can display a file in one or more graphs.
  • You can register Speech Analyzer to open Wave Sound files when you double-click them in Windows Explorer.

File overview


File overview

On the File menu, you can do the following:

  • Record a new file.
  • Paste audio as a new file.
  • Open a file.
  • Open Startup to open a file using the Start Mode dialog box.
  • Close a file.
  • Save a file.
  • Import a file.
  • Export a file.
  • Save or copy a Screen Capture.
  • View file information.
  • To select orientation and layout before you print, click Page Setup.
  • To view the active file before you print, click Print Preview.
  • Print the current file.
  • Open a file from the list of most recently used files near the bottom of the menu.
  • Exit Speech Analyzer.

Menus overview


Page Setup

Select the following options before you print the active file.

  1. On the File menu, click Page Setup.

    The Page Setup dialog box appears.

  2. In the Orientation area, we recommend that you select Landscape (that is, horizontal orientation in which the page is wider that it is tall).

  3. To view the active file as it will appear on the printed page, click Preview, and then click Close.

  4. Do one of the following:

    • To save the options and print the active file, click Print.
    • To save the options but not print, click OK.

File overview


Print

You can print the graphs that display the active file.

  1. To select orientation and layout: On the File menu, click Page Setup.
  2. To view the active file as it will appear on the printed page: On the File menu, click Print Preview.
  3. On the File menu, click Print.

The Print dialog box appears.

  1. In the Name list, select the printer.
  2. To select paper size, and so on, click Properties.
  3. In the Print Range and Copies areas, select the printing options.
  4. Click OK.

Related Topics

File overview

Screen Capture


Print Preview

Print Preview shows the active file as it will appear on the printed page.

  1. To select orientation and layout: On the File menu, click Page Setup.

  2. On the File menu, click Print Preview.

    The preview temporarily replaces the graphs in the Speech Analyzer window.

  3. You can do any of the following:

    • If more than one page will be printed, you can click Next Page, Prev Page, or Two Page.
    • To see more detail but only part of the previewed page, click Zoom In.
    • To see less detail but more of the previewed page, click Zoom Out.

  4. Do one of the following:

    • To print the active file as it appears in the preview, click Print.
    • To close the preview, click Close.

    The graphs appear again in the Speech Analyzer window.

File overview


Recorder Settings

When you click Settings in the Recorder dialog box, the Recording Settings dialog box appears. A quantization size of 16 bits and a sampling frequency of 22 kHz give excellent results for recording speech. A sampling frequency of 44.1 KHz is good for music.

To adjust the recorder settings, do any of the following:

  1. In the Sampling Rate area, select a rate for subsequent recordings.

    The Sampling Rate determines the sampling speed of the incoming audio.

  2. In the Data area, select a precision and stereo-mono attribute for subsequent recordings.

    Precision determines the number of bits used to encode each audio recording sample.

  3. To reduce low-frequency hum in your recordings (frequencies below 70 Hz), select 70 Hz Highpass filter.

  4. To retain file source information for subsequent recordings, select Add File Information.

  5. To reset the default, click Default.

    The default values are a Sampling Rate of 22,050Hz and Data of 16 bit mono.

  6. To add file information for the recording, click File Info, and select the Source tab and Comments tab.

  7. Click OK to save settings, or Cancel to exit without saving the settings.

Note

  • If you select Add File Information, the information you entered in File Info is saved in the Source tab and Comments tab on the File Information dialog box.
  • To view Sampling Rate precision and file information, on the File Information dialog box, click the Data tab.
  • Speech Analyzer performs better with higher sampling rates and greater precision. However, higher sampling rates and greater precision also uses more hard disk space for the recording.

Record New


Recording Control

When you click Input on the Recorder dialog box, the Recording Control dialog box appears.

To adjust the recording input, do any of the following:

  1. To select a CD Player, Microphone or Line-In as input, do the following:

    • To select a specific input, select a Select check box below the name.
    • To adjust the Balance for the input, move the vertical bar to the left or right.
    • To adjust the Volume for the input, move the horizontal bar up or down.

  2. To make fine adjustments to your audio, click Advanced, and do any of the following:

    • To adjust the Bass or Treble, in the Tone Controls area, move the horizontal sliders to the left or right.
    • To improve audio output, in the Other Controls area, select the 1 Microphone Boost check box.
    • Click Close.

  3. To show or hide input sources, click Options, and then click Properties.

    • Select a Mixer device from the list.
    • In the Adjust volume for area, select Playback, Recording, or Other (if available).
    • In the Show the following volume controls area, select or clear input source check boxes.
    • Click OK.

  4. To see additional help topics, on the Help menu, click Help Topics.

    The Volume Control dialog box appears with a list of help topics.

  5. To close the Recording Control dialog box, do one of the following:

    • On the Options menu, click Exit.
    • Click X at the upper right of the dialog box.

Note

  • You can keep the Recording Control dialog box open while recording to make adjustments.

Record New


Record New

In Speech Analyzer, you can record audio input from a microphone or an external recording device.

  1. Do one of the following:

    • On the File menu, click Record New.
    • On the toolbar, click Record [image].
    • Press the shortcut key Ctrl+R.

    The Recorder dialog box appears.

  2. Do any of the following:

    • To adjust audio input volume, use the Rec Vol slider or arrows, or click Input.

      To control distortion, avoid red Record Level bars while recording.

    • To change recorder settings, click Settings.

  3. To record, click Rec.

    The Cur box displays the running elapsed time of the recording.

  4. If you need to stop recording temporarily, click Pause. Click Pause again to continue recording.

  5. When you have finished recording, click Stop.

    The End box displays the duration of the recording in minutes and seconds.

  6. To verify the quality of the recording, click Play.

    To adjust the playback volume, use the Play Vol slider or arrows.

  7. If the recording is unsatisfactory, repeat steps 3 through 6.

  8. When you are satisfied with the recording quality, click Done.

    Until you click Done, each new recording replaces the previous recording.

    The file window displays the new recording in one or more graphs.

  9. If the Raw Waveform graph displays clipping at the top and bottom of the waveform, close the file, and then repeat steps 1 through 8.

  10. To save the file, on the File menu, click Save.

Note

  • Recordings with waveform inversion, low signal level, or sound card offset problems can be corrected using the Adjust Waveform command on the Tools menu.
  • Although recordings can be up to 4 GB, recordings of 2 or 3 minutes are suggested. A file recorded at 22 kHz sampling rate with 16 bit samples will require about 2.6 MB per minute recorded.
  • If you need to use the slow Playback function, keep recordings under ten seconds.

File overview


Register Speech Analyzer to open Wave Sound files

You can register Speech Analyzer as the program to open Wave Sound (WAV) files when you double-click them in Windows Explorer.

The procedure depends on the version of Microsoft Windows.

If you are using Windows Vista

  1. Click Start, and then click Default Programs.

    The Default Programs window opens.

  2. Click Associate a file type or protocol with a program.

    The window becomes Set Associations.

  3. In the list, select .wav.

  4. Click Change program.

    The Open With window appears.

  5. Click Browse.

    The Open With dialog box appears.

  6. Navigate to the C:\Program Files\SIL\Speech Analyzer folder.

  7. Select SA.exe.

  8. Click Open.

  9. Click OK.

  10. Click Close.

  11. Close the Default Programs window.

If you are using Windows XP

  1. On the Tools menu of Windows Explorer, click Folder Options.

    The Folder Options dialog box appears.

  2. Click the File Types tab.

  3. In the Registered file types list, select WAV Wave Sound.

  4. Click Change.

    The Open With dialog box appears.

  5. In the Programs list, select SA.

  6. Click OK twice.

If you are using Windows 2000

  1. On the Tools menu of Windows Explorer, click Folder Options.

    The Folder Options dialog box appears.

  2. Click the File Types tab.

  3. In the Registered file types list, select WAV Wave Sound.

  4. Click Advanced.

    The Edit File Type dialog box appears.

  5. Click New.

    The Editing action for type: Wave Sound dialog box appears.

  6. In the Application used to perform action box, type the following:

    “C:\Program Files\SIL\Speech Analyzer\Sa.exe” “%L”

  7. Do one of the following:

    • To be able to open multiple Wave Sound files, each in a different Speech Analyzer window, clear the Use DDE check box.
    • To be able to open multiple Wave Sound files, all in the same Speech Analyzer window, select the Use DDE check box, and then in the DDE Message box, type [open (“%L”)]

  8. Click OK three times.

Open


Save

If file changes have been made, do one of the following.

  • On the File menu, click Save.
  • On the toolbar, click Save [image] .
  • Press the shortcut key Ctrl+S.

Saving active file or a part of it with a different name

  1. On the File menu, click Save As.

    The Save As dialog box appears.

  2. If needed, in the Save in list, browse to a different folder to save.

  3. In the Save area, do one of the following:

    • To save the whole file under a new name, click Entire File.
    • To save the visible part of the active file, click Current View.
    • To save the part of the file between the cursors, click Between Cursors.

  4. In the Keep Open area, do one of the following:

    • To keep open the new saved file, click New File.
    • To keep open the original file, click Original File.
    • To keep open the save and original files, click Both Files.

  5. In the File name box, enter or type a new name, and then click Save.

Note

  • Transcription and annotation data is stored in a file with a .saxml extension in the same folder as the audio file.
  • Music transcription data on the Staff is stored in a file with a .music.xml extension in the same folder as the audio file.
  • To save the currently-selected graphs and layouts, go to Startup tab on the Options dialog box.
  • If multiple files are open, only the active file is saved.
  • The Save command on the File menu and the Save button on the toolbar are not available unless you have made a change to a file or its transcription.
  • Speech Analyzer no longer saves .wav files as read-only.

File overview


Speech Analyzer XML

Speech Analyzer 3.0 stores transcription and annotation data in a file with a .saxml extension in the same folder as the audio file.

Extensible Markup Language (XML) is a simple, very flexible text format.

Transcriptions appear on transcription bars above the plot area of graphs.

Annotations appear on the tabs of the File Information dialog box.

Manual settings appear on the Pitch tab of the Graph Parameters dialog box.

The SaAudioDocument element has DocVersion and MD5HashCode attributes.

The SaAudioDocument element contains any of the following elements.

Element | Data | Tab
SpeakerName | Name of the language speaker | Source
SpeakerGender | Gender of the language speaker | Source
EthnologueId | Ethnologue code of the language | Source
Region | Region of the language | Source
Country | Country of the language | Source
Family | Linguistic family of the language | Source
LanguageName | Language name | Source
Dialect | Dialect of the language | Source
NoteBookReference | Reference to the researcher’s data for example, page and line numbers | Source
FreeFormTranslation | Free translation | Comments
Transcriber | Researcher who transcribed the data | Source
SADescription | Description of the audio file | Comments
SAFlags | For internal use by Speech Analyzer 2: Sample size changed by AudioCon 4: Samping frequency changed by AudioCon 32: Highpass filtered during recording |
RecordFileFormat | Original audio file format 0: utterance (UTT) recorded using CECIL or WinCecil, and then converted to wave file 1: wave file (WAV) 2: Macintosh 3: TIMIT 4: other | File
RecordTimeStamp | For internal use by Speech Analyzer |
RecordBandWidth | Bandwidth of the original recording (hertz) Half the sampling frequency, reduced by 70 if highpass filtered by Speech Analyzer |
RecordSampleSize | Sample size of the original recording (bits) |
SignalMax | Maximum raw sample value in the audio data |
SignalMin | Minimum raw sample value in the audio data |
SignalBandWidth | Bandwidth of the audio data (hertz) Can be less than the original bandwidth if the audio data was processed by AudioCon | Data
SignalEffSampSize | Sample size of the audio data (bits) Can be less than the original sample size if the audio data was processed by AudioCon | Data
CalcFreqLow | Lower bound for pitch calculations (hertz) | Pitch
CalcFreqHigh | Upper bound for pitch calculations (hertz) | Pitch
CalcVoicingThd | Threshold to consider the audio data voiced | Pitch
CalcPercntChng | Maximum change between adjacent points for the line to be continuous (percent) | Pitch
CalcGrpSize | Minimum number of adjacent points that can be displayed | Pitch
CalcIntrpGap | Maximum number of adjacent missing points that can be interpolated | Pitch

Segments

If segments have been identified in Speech Analyzer, the Segments element contains SegmentData elements.

SegmentData elements have the following attributes:

  • IsBookmark: true if the segment has a bookmark, otherwise false.
  • Offset: time at the beginning of the segment (seconds).
  • Duration: time difference from the end to the beginning of the segment (seconds).
  • MarkDuration: length of the gloss segment that begins at this segment (seconds), otherwise 0.

If transcriptions have been entered in Speech Analyzer, SegmentData elements contain any of the following elements.

Element | Data | Tab
Phonetic | Phonetic transcription | Comments
Phonemic | Phonemic transcription |
Tone | Tone transcription |
Orthographic | Orthographic transcription |
Gloss | Gloss transcription |
Reference | Reference transcription for example, word number |

MusicSegments

If phrase level segments have been identified in Speech Analyzer, the MusicSegments element contains MusicSegmentData elements.

MusicSegmentData elements have the following attributes:

  • PhraseLevel: 1, 2, 3, or 4.
  • Offset: time at the beginning of the segment (seconds).
  • Duration: time difference from the end to the beginning of the segment (seconds).

MusicSegmentData elements contain an Annotation element. It contains the text in the transcription bar.

Related Topics

Open

Save

Transcription Encoding Converters

Transcriptions no longer appear

Export Extensible Markup Language


Screen Capture


Graph Capture example

A graph capture contains only the graphs, title bars, and transcription bars, but does not capture the menu bar or toolbar.

Screen Capture


Screen Capture

The Screen Capture function enables you to copy an image of the screen, or part of the screen, either to a file (Save) or to the Clipboard (Copy). The image can then be edited in a graphic editor or used in a document.

Examples: Window capture, Graph capture

Save a Screen Capture to a file

  1. Adjust the size and position of the Speech Analyzer window and its graphs. The image will be captured from the current size and layout of the Speech Analyzer window.
  2. On the File menu, point to Screen Capture, and then do any of the following:
    • To save the Speech Analyzer window image to a file, click Save Window.
    • To save the graphs image to a file, click Save Graphs.

The Save As dialog box appears.

  1. If needed, in the Save in list, browse to a different folder to save.
  2. In the File name box, enter or type a new name.
  3. In the Save as type list, select a *.png or *.bmp file type.
  4. Click Save.

Copy a Screen Capture to the Clipboard

  1. Adjust the size and position of the Speech Analyzer window and its graphs. The image will be captured from the current size and layout of the Speech Analyzer window.
  2. On the File menu, point to Screen Capture, and then do any of the following:
    • To copy the Speech Analyzer window image to the Clipboard, click Copy Window.
    • To copy the graphs image to the Clipboard, click Copy Graphs.

The specified area copies to the Clipboard.

  1. Paste the image into the desired graphics editor or document.

File overview


Window Capture example

A window capture contains the entire Speech Analyzer window; menu bar, toolbar, graphs with title and transcription bars and status bar.

Screen Capture


Transcription Encoding Converters

When you open a file that contains transcription data from a previous version of Speech Analyzer, the Transcription Encoding Converters dialog box appears.

For each transcription type, the Legacy Font column displays the font used in a previous version of Speech Analyzer.

To change the encoding converter for a transcription type, do the following:

  1. In the Transcription column, select a transcription type (for example, Phonetic).

An arrow [image] appears at the left of a selected transcription type, and a down arrow [image] appears in the Converter column.

  1. Click the down arrow in the Converter column.
  2. In the list, select none, an encoding converter, or Browse.
    • If you select Browse, the Find Converter Mapping File dialog box appears.
    • Find the converter mapping file using the Look in folder list, and click Open.

The converter mapping file name appears in the Converter list.

  1. To change the encoding converter for another transcription type, repeat steps 1, 2, and 3.

To see all the transcription types, you might need to scroll down.

  1. When you have selected the encoding converters you want, click OK.

Speech Analyzer converts the transcription data to Unicode using the selected converters and stores the converted data in a file with a .saxml extension in the same folder as the wave file.

It backs up the wave file with a .sa2.wav extension in a SA2 Wav Files folder, removes the transcription data from the wave file, and then opens the file.

If you click Cancel, Speech Analyzer removes the transcription data from the wave file, but does not create a .saxml file.

Start Mode


Graphs


Active graph

When two or more graphs are open, only one graph is active at a time. The title bar of the active graph has a particular color (for example, blue). If the title bar is dimmed, it is not the active graph.

Mouse clicks, menu selections, and key presses affect the active graph.

To make a graph active, do any of the following:

  • Click the title bar of the graph you wish to make active.
  • Press the Shift+Tab graph and file shortcut key to switch from one graph to the next.

Important

  • Do not click in the plot area of a graph to make it active. This may change the position of the begin and end cursor.

Graph Parameters overview


Add Overlay

You can overlay or view two graphs in the same plot area, one superimposed on the other, for example, an Raw Waveform graph superimposed over a Zero Crossing graph.

On the Graphs menu, you can add an overlay to an existing graph by doing the following:

  1. Click Add Overlay.

The Choose Overlay Graphs dialog box appears with a list of graphs to overlay.

  1. In the Select Graphs to Overlay area, select one or more graphs, or click Select All.
  2. Click OK.

Note

  • You can also record a new overlay.
  • You cannot overlay Formant Chart, Spectrum, Spectrogram or Snapshot Spectrogram graph, Melogram, or Staff.

Overlay


Begin and end cursors

Speech Analyzer provides a begin cursor and an end cursor to mark portions of audio data in time-based graphs (for example, Raw Waveform and Auto Pitch). The begin cursor is a vertical green line. It marks a point in time and the beginning of a portion. The end cursor is a vertical red line. It marks the end of a portion.

When an audio file opens, the begin cursor is at the left edge and the end cursor is at the right edge of the plot area. Cursors might be difficult to see at the edge of the graph.

If you display an audio file in multiple graphs, moving a cursor in one graph moves it to identical positions in other time-based graphs.

Another cursor, a private cursor is the blue cursor on the Spectrum and Tonal Weighting Chart which can be moved independently of the begin and end cursors.

  • By default the begin cursor is green, and the end cursor is red. To change the colors:
    • On the Tools menu, click Options, and click the Colors tab.
    • In the Graph list, select either Begin Cursor or End Cursor.
    • Click [image] to display the Color dialog box, and pick a new color for the selected cursor.
  • By default, the begin and end cursors snap to the nearest fragment (pitch period). When you drag either cursor and release the left mouse button, the cursor may jump as it snaps to the nearest fragment boundary.
  • If you click a segment in a transcription bar, the begin and end cursors snap to the segment boundaries.
  • To move the begin cursor to a new location, do one of the following:
    • Click the left-mouse button in the plot area.
    • Hold down Ctrl, and click the left-mouse button.
  • To move the end cursor to a new location, hold down Shift, and click the left-mouse button.
  • To move either the begin or end cursor to a new location, do the following:
    • Move the mouse pointer near the begin or end cursor. The mouse pointer changes to a hand.
    • Hold down the left mouse button (the cursor changes to a double-edge arrow) and drag either the begin or end cursor.

The begin and end cursors can:

  • Be moved using shortcut keys.
  • Mark coarticulation, by placing the begin cursor inside the preceding phonetic segment.
  • Set cursor alignment (or align) to Sample, Zero Crossing or Fragment.
  • Precisely locate a character in the transcription bars.
  • Select playback of selected portions of the recording.
  • Select a waveform portion and use zoom functions.

Note

  • The status bar at the lower right of the window displays information on the begin, end, and private cursor positions, and the time of a fragment.

Related Topics

Fragment

Cursor example


CECIL vs. Speech Analyzer pitch terminology

If you are used to working with the CECIL software package, the following is a table explaining what CECIL terms mean in Speech Analyzer.

CECIL Terms | Speech Analyzer Term/Topic
Group Size | Pitch Min Group
Pitch Critical Loudness | Voicing Threshold
Percentage Change | Pitch Max Change
Calc Range Max | Pitch Max Freq
Interpolation Gap | Pitch Max Interp
Calc Range Min | Pitch Min Freq
CECIL Graph Fraw | Raw Pitch
CECIL Graph Fchoose | Custom Pitch

Note

  • The word CECIL means Computerized Extraction of the Components of Intonation in Language.

Pitch graphs


Cursor Alignment

To adjust the cursor alignment of a file, do the following:

  1. On the Tools menu, click Options.
  2. In the Cursor Alignment area, select one of the following;
    • Sample either cursor will stay where it is positioned.

A sample is a value taken from an audio signal at a precise point in time. The sequence of these samples graphed over time is the waveform (or Raw Waveform).

  1. Zero Crossing - either cursor snaps to the nearest point at which the Raw Waveform crosses the zero line from negative to positive.

A zero crossing is a point where an audio waveform crosses the zero-line from negative to positive.

  1. Fragment - either cursor snaps to the nearest Fragment boundary. This is the default and preferred position for all calculations by Speech Analyzer.
  2. Click OK.

Graphs overview


Cursor example

The begin (green) and end (red) cursors were formerly known as the start and stop cursors. This picture shows the initial position of begin and end cursors when a file window opens.

Note

  • Zoom helps control the portion of the active graph between cursors.
  • Cursor alignment adjusts the cursor to Sample, Zero Crossing, or Fragment boundaries.

Begin and end cursors


Drawing Style

To change the drawing style of the active graph, do the following:

  1. Select an active graph type.
  2. On the Graphs menu, point to Drawing Style, and then click one of the following:
    • Line - does not darken the area below the plot line. Line is the default setting for the Raw Waveform, Auto Pitch, Intensity, and Melogram graphs
    • Solid - darkens-in the area below the plot line. Only Intensity, Auto Pitch, Melogram, and Melogram Magnitude plots display with Solid style.
    • Samples - displays many individual sample points, instead of a continuous line. Only Raw Waveform and the Melogram graphs display with the Samples style.

The following two pictures show the Auto Pitch graph, with Line and Solid drawing style.

The following picture shows the Raw Waveform graph in Samples drawing style.

Note

  • Drawing Style is not available for every graph.
  • A Sample is a value taken from an audio signal at a precise point in time. The sequence of these samples graphed over time is the waveform (or raw waveform).

Graphs overview


Equalize Length

This function can be used when you want to apply a specific cursor separation to a recording (the source file) and then apply the same separation to a second recording (the target file). By equalizing the length in time of the begin and end cursor separations in two different files, you can then better visually compare acoustic features in each file.

  1. Open two different .wav files.
  2. On the Window menu, select Tile Horizontal.
  3. On the target file, place the cursors around a selected region.
  4. On the source file, place the cursors around a selected region for comparison with the target file.
  5. On the Graphs menu, click Equalize Length.

The Equalize Length dialog box appears, identifying the source document.

  1. Select a target view (file) in the list, and then click OK.

The end cursor in the target moves to the same separation as in the source file.

Note

  • To verify the resulting cursor separation, look at the second status bar pane in each file.
  • If the target file separation would move the end cursor past the end of the file, a Speech Analyzer dialog box appears with the message This would move the cursor too far to the right.
  • To switch graphs, without disturbing the cursor positions, click on the title bar of a graph.

Graphs overview


Fragment

A fragment is the smallest significant unit of audio information in a sound.

In voiced sounds this is the pitch period. Fragment boundaries are located at the beginning of large positive pulses, usually pitch pulses. Similarly, in unvoiced sounds, fragment boundaries are often located at the beginning of major acoustic events like bursts.

To cause the begin and end cursors to snap to the nearest fragment, do the following:

  1. On the Tools menu, click Options.
  2. In the Cursor Alignment area, select Fragment.
  3. Click OK.
  4. In the Raw Waveform graph, position the begin cursor to select a particular fragment.
  5. Move the end cursor as close as possible to the begin cursor without moving the begin cursor.
  6. Use zoom until you believe you have selected only a single fragment.
  7. To ensure you have selected a single fragment, do the following:
    • With the begin cursor at the beginning of the desired fragment, drag the end cursor as close as possible to the begin cursor without moving the begin cursor, and release the mouse button.
    • If the end cursor snaps to the right, it is at the true end of the fragment.

Graphs overview


Layout

You can display up to six graphs at one time from a list of layout choices. The Position View, TWC, and Magnitude graphs are not counted. There are two ways to change the layout of the currently selected graphs for a recording.

Graphs menu

  1. On the Graphs menu, click Types, and then click Custom.

The Graphs Types dialog box appears.

  1. Click Custom.

The Custom Graph Types dialog box appears, with the Layout area choices. Changing the number of graphs selected, changes the Layout area choices display.

  1. Click any graph layout choice.
  2. Click OK.

Graph shortcut menu

  1. Right-click in the plot area of any graph, and then point to Layout.

A list of graph display layouts appears, with the number of graphs displayed to the left.

  1. Click any graph layout choice in the list.

Note

  • To save any layout changes either Permanently or Temporarily, on the Tools menu, click Options, and then click the Startup tab.
  • If you select a graph display layout with fewer graph positions than graphs selected, some graph displays will be closed.

Custom Graph Types


Magnify

You can change the vertical scale of the following graphs: Raw Waveform, Intensity, Change, and Zero Crossing.

  • On the Graphs menu, point to View, point to Magnify, and then do one of the following:
    • To select the normal vertical scale displaying all data points, click x1.
    • To magnify by a factor of two, click x2.
    • To magnify by a factor of four, click x4.
    • To select a different magnification factor, click Custom.

The Input Magnify Factor dialog box appears.

Type a number, and then click OK.

Note

  • To change the horizontal scale of graphs: On the Graphs menu, point to View, and then point to Zoom.
  • Magnify can be used to remove outliers from a graph display.

View


Overlay

To manage an Overlay for a graph, do the following:

  1. Select an active graph type.
  2. Do one of the following:
    • On the Graphs menu, point to Overlay.
    • Right-click in the plot area of the graph, and then point to Overlay.
  3. Click any of the following:
    • Add Overlay superimposes one graph over another in the same plot area.
    • Remove Overlay Removes a selected graph as an overlay

The Choose Overlay Graphs dialog box appears.

In the Select Items to Remove area, select one or more graph overlays to remove, or click Select All.

Click OK.

The selected graph overlays disappear.

  1. Remove All Overlays - Removes all the previously applied overlays from the active graph.
  2. Record Overlay
  3. To change the color of the overlay graph, do the following:
    • On the Tools menu, click Options, and then click the Colors tab.
    • In the Graph list, select Second Data, and change the color.

Graphs overview


Graphs overview

In Speech Analyzer, a graph is a window that displays a specific type of information about the active audio file (such as the pitch or spectrum). A graph includes the plot area and the X and Y axes. A plot is the data points or symbols contained in a graph that may be connected by a line (plot line), and the area that contains them (plot area). The legend is the part of a graph to the left of the plot area which includes the vertical axis.

On the Graphs menu, you can do any of the following:

  • To select one or more graph types to display for a file, click Types.
  • To specify parameters for the graphs displayed, click Parameters.
  • To show or hide a transcription bar above the plot area of a graph, point to Transcription Bars, point to a type of transcription (for example, Phonetic), and then click All Graphs, This Graph (the active graph), Waveform Only, or No Graphs (hide the transcription bar).
  • To show or hide the Legend, Time Scale, and Segment Boundaries, or Zoom or Magnify, point to View.
  • To add, remove, or record a graph overlay, point to Overlay.
  • To equalize the length of a phone in two different files, point to Equalize Length.
  • To vary the plot line of the active graph, point to Drawing Style.

Tip

  • If you right-click the plot area of a graph, a shortcut menu appears. In addition to Graph menu commands, it includes Layout, Retile, and Snapshot Spectrogram.
  • To expand one graph to fill the Speech Analyzer window, double-click the title bar, or click the maximize button in the upper right of the graph.
  • To select other display options, on the Options dialog box, click the View tab.

Menus overview


Graph Parameters


Cepstral Smoothing Level

On the Spectrum tab of the Graph Parameters dialog box, you can select a Smoothing Level for the cepstral plot line on the Spectrum graph.

In the following screen shots, the cepstral plot line is black.

  • Smoothing level 0 (that is, no smoothing) makes the cepstral plot line almost identical to the raw FFT plot line.

  • Smoothing level 2 or 3 may improve the detection of formants.
  • Smoothing level 5 is the default.

  • Smoothing level 9 may excessively round off peaks.

Note

  • Smoothing is performed by low-time liftering on the cepstrum.

Spectrum tab, Graph Parameters


Formants tab, Graph Parameters

The Formants tab appears on the Graph Parameters dialog box, if you select F1 v. F2, F2 v. F1, F1 v. F2 v. F3,or (F2-F1) v. F1.

To change the formants tab graph parameters, do the following:

  1. Select an active graph type.
  2. Do one of the following:
    • On the Graphs menu, click Parameters.
    • Right-click in a plot area, and then click Parameters.
  3. Click the Formants tab.
  4. In the Graph Options area, select (or clear) the Use mel-scaled grid check box.
  5. To save the settings and not close the dialog box, click Apply.
  6. To save the settings and close the dialog box, click OK.

Graph Parameters overview


Spectrogram Formant Tracks Only

On the Graph Parameters dialog box, click the Spectrogram tab to display only formants tracks on a Spectrogram graph.

  1. Select the Formants Tracks check box.
  2. Select any combination of the F1, F2, F3, or F4 check boxes.
  3. Select Only.

This example shows only formant tracks.

Note

  • You can overlay formant tracks on a Spectrogram graph.
  • The formant frequencies appear in the status bar.

Spectrogram tab, Graph Parameters


Spectrogram Formant Tracks Overlaid

On the Graph Parameters dialog box, click the Spectrogram tab to overlay formants tracks on a Spectrogram graph.

  1. Select the Formants Tracks check box.
  2. Select any combination of the F1, F2, F3, or F4 check boxes.
  3. Select Overlaid.

This example show the F1, F2, and F3 formants tracks.

Note

  • You can display only formant tracks on a Spectrogram graph.
  • The formant frequencies appear in the status bar.

Spectrogram tab, Graph Parameters


Intensity tab, Graph Parameters

Intensity (or physical intensity) is the instantaneous energy delivered by a sound, relative to a fixed energy level. This is the acoustic correlate of the (psychoacoustic) loudness. The Intensity tab appears on the Graph Parameters dialog box, if you select an Intensity graph.

To change the Intensity tab parameters, do the following:

  1. Select an active graph type.
  2. Do one of the following:
    • On the Graphs menu, click Parameters.
    • Right-click in a plot area, and then click Parameters.
  3. Click the Intensity tab.
  4. In the Display Scale area, select either Relative Intensity (dB) or Linear Magnitude (%).

If you change the selection, the Apply button becomes active.

  1. To save the settings and not close the dialog box, click Apply.
  2. To save the settings and close the dialog box, click OK.

Note

  • Relative Intensity is calculated by the following equation:

  • Linear magnitude is calculated by the following equation:

Graph Parameters overview


Music tab, Graph Parameters

The Music tab appears on the Graph Parameters dialog box, if you select a Melogram.

To change the Music tab parameters, do the following

  1. Select an active graph type.
  2. Do one of the following:
    • On the Graphs menu, click Parameters.
    • Right-click in a plot area, and then click Parameters.
  3. Click the Music tab.
  4. In the Display area or Calculation area, in the Range list, select either Auto or Manual.

Manual activates the Upper Boundary and Lower Boundary lists. Select the boundary ranges by typing or selecting numbers using the up or down arrows.

  1. To include only the portion of audio data between the cursors in the Tonal Weighting Chart, select the Dynamic Calculation check box.
  2. To save the settings and not close the dialog box, click Apply.
  3. To save the settings and close the dialog box, click OK.

Note

  • If the actual fundamental frequency of the audio data is below the Lower Boundary setting, the Melogram does not display a frequency value.

If the actual fundamental frequency is above the Upper Boundary setting, the Melogram might display a sub-harmonic frequency value. For example, if the actual frequency is 1200 Hz, the Melogram might display a frequency of 600 Hz (1/2) or 400 Hz (1/3), depending on the setting.

Graph Parameters overview


Graph Parameters overview

To change Graph Parameters for a recording, do the following:

  1. Select an active graph type.
  2. Do one of the following:
    • On the Graphs menu, click Parameters.
    • Right-click a plot area in a graph, and then click Parameters.

The Graph Parameters dialog box appears.

  1. Depending on the graph selected, any of the following tabs may appear:

Waveform, Pitch, Formants, Music, Intensity, Snapshot, Spectrogram, Spectrum

Note

  • On the Tools menu, click Options, and then click the View tab to select options for Cursor Alignment, Vertical and Horizontal Gridlines, and Status Bar Units.

Graphs overview


Peak Sharpening Factor

On the Spectrum tab of the Graph Parameters dialog box, you can select a Peak Sharpening Factor for the cepstral and LPC plot lines on the Spectrum graph.

In the following screen shots, the cepstral plot line is black and the LPC plot line is blue.

  • Peak sharpening factor 0 (that is, no peak sharpening).

  • Peak sharpening factor 9.

Spectrum tab, Graph Parameters


Pitch tab, Graph Parameters

The Pitch tab appears on the Graph Parameters dialog box, if you select the Raw Pitch, Custom Pitch, Smoothed Pitch, or Auto Pitch graph types.

To change the Pitch tab parameters, do the following:

  1. Select an active graph type.
  2. Do one of the following:
    • On the Graphs menu, click Parameters.
    • Right-click in a plot area, and then click Parameters.
  3. Click the Pitch tab.
  4. In the Display area, do any of the following:
    • In the Scaling list, select Linear, Logarithmic, or Semitones. A semitone represents a half step on a musical scale.
    • In the Range list, select Auto or Manual.

Auto automatically scales the graph legend to match the lowest to highest frequency present.

Manual activates the Upper Boundary and Lower Boundary boxes. You determine the maximum and minimum pitch values by the numbers you type or select using the up or down arrows.

Upper Boundary is the upper boundary of frequencies (Y-axis). Lower Boundary is the lower boundary of frequencies (Y-axis).

  1. In the Manual Settings area, you can change any of the pitch contour calculation numbers, helping to eliminate pitch outliers and inaccurate voicing assessments:
    • The first three parameters apply to the Raw Pitch, Custom Pitch, and Smoothed Pitch graphs.

Min Frequency sets the lower bound for pitch calculations.

Max Frequency sets the upper bound for pitch calculations.

Voicing Threshold sets the required percentage of full-scale magnitude for a portion of the recording to be able to consider the area voiced.

  1. The second three parameters apply only to the Custom Pitch and Smoothed Pitch graphs.

Max. Change sets the maximum percentage change between adjacent frequency estimates, so the tone contour is continuous between them.

Min Group sets the minimum number of consecutive pitch points that display in the Custom Pitch and Smoothed Pitch graphs.

Max Interpolation sets the maximum number of consecutive missing frequency estimates that can be interpolated before final smoothing and display in the Smoothed Pitch graph (given that the estimates on either side are within a range specified by Max Change.)

  1. To restore the last saved Manual Settings, click File Defaults.
  2. To restore the Speech Analyzer Manual Settings, click App Defaults.
  3. To save the settings and not close the dialog box, click Apply.
  4. To save the settings and close the dialog box, click OK.

Note

  • The Upper Boundary and Lower Boundary numbers do not affect the pitch contour calculation, only the individual pitch graph display.
  • Manual Settings allows you to change how the pitch algorithm operates on the recording. If you change the Manual Settings, they will change the pitch algorithm of that particular file.
  • The Manual Settings area is not available with the Auto Pitch graph.
  • If the actual fundamental frequency of the audio data is below the Min Frequency setting, the Pitch graphs do not display a frequency value.

If the actual fundamental frequency is above the Max Frequency setting, the Pitch graphs might display a sub-harmonic frequency value. For example, if the actual frequency is 1200 Hz, the graphs might display a frequency of 600 Hz (1/2) or 400 Hz (1/3), depending on the setting.

  • You can compare CECIL terminology with that of Speech Analyzer.

Graph Parameters overview


Spectrogram tab, Graph Parameters

The Spectrogram tab appears on the Graph Parameters dialog box, if you select a Spectrogram graph. The Snapshot tab appears on the Graph Parameters dialog box if you select a Snapshot Spectrogram graph. Both tabs are identical.

To change the Spectrogram or Snapshot tab parameters, do the following:

  1. Select an active graph type.
  2. Do one of the following:
    • On the Graphs menu, click Parameters.
    • Right-click in a plot area, and then click Parameters.
  3. Click the Spectrogram or Snapshot tab.
  4. To set the upper frequency for calculation and display, drag the Display Frequency slider.

Since most vowels have a third formant (F3) around 2500 Hz, the default value is 3000 Hz. Use a value of 7500 in the analysis of consonants

  1. To set the lowest and highest value displayed, drag one Thresholds slider to the lowest setting, and the other Thresholds slider to the highest setting.
  2. To change any formant selection, select the Formants Tracks check box, and then do any of the following:
    • To display the pitch track, select the Pitch check box.
    • To display specific formant tracks, select the F1, F2, F3, or F4 check boxes.
    • To display the formant tracks overlaid on the Spectrogram, select Overlaid.
    • To display only the formant tracks, select Only.
    • To display a smoother graph line, select the Smoothed check box.
    • To display only the formant tracks in color, select the Color check box.
  3. To display the Spectrogram in color, in the Color mode area, click Color. To display the Spectrogram in black and white, click Monochrome.
  4. You can adjust the Spectral Resolution and see examples.
  5. To save the settings and not close the dialog box, click Apply.
  6. To save the settings and close the dialog box, click OK.

Note

  • All values lower than the lowest Threshold, display the same color as the lowest value.
  • All values higher than the highest Threshold, display the same color as the highest value.
  • When you change any Formant Tracks settings, the Apply button activates.
  • Formant tracks in a Spectrogram graph are calculated using a bank of 1st order LPC tracking filters based on:

Mustafa, Kamran, and Ian C. Bruce, “Robust Formant Tracking for Continuous Speech with Speaker Variability,” IEEE Transactions on Audio, Speech, and Language Processing, Vol. 14, No. 2, March 2006.

  • Formant estimates in a Spectrum graph are calculated using an LPC model whose order is based on a sampling frequency (Fs / 1000 + 2).

Graph Parameters overview


Spectrogram tab, resolution examples

On the Graph Parameters dialog box, click the Spectrogram tab or Snapshot tab to adjust the Spectral Resolution.

  • Narrow Band Filter (45 Hz) resolves fine spectral details such as pitch harmonics, but smears temporal details.

  • Medium Band Filter (172 Hz) balances the resolution of spectral and temporal details.

  • Wide Band Filter (300 Hz) resolves fine temporal features such as glottal pulses, but smears spectral details.

Spectrogram tab, Graph Parameters


Spectrum tab, Graph Parameters

The Spectrum tab appears on the Graph Parameters dialog box, if you select a Spectrum graph.

To change the Spectrum tab parameters, do the following:

  1. Select an active graph type.
  2. Do one of the following:
    • On the Graphs menu, click Parameters.
    • Right-click in a plot area, and then click Parameters.
  3. Click the Spectrum tab.
  4. In the Power Scale area, type or use the arrows to set the Upper Boundary and Lower Boundary levels displayed on the Spectrum graph.
  5. In the Frequency Range area, select Full Scale, Half Scale, Third Scale, or Quarter Scale.

(Full Scale displays the spectrum from 0 to half the sampling rate.)

  1. In the Calculations area, select one of the following:
    • Select Perform LPC Smoothing.

The Peak Sharpening Factor list activates. Type or select numbers using the arrows.

  1. Select Perform Cepstral Smoothing.

The Smoothing Level list activates. Type or select numbers using the arrows.

  1. In the Formant Display area, do any of the following:
    • To display formant frequencies in hertz (Hz), select the Frequency check box.

The Bandwidth check box activates. Select this box to display formant bandwidths in hertz (Hz).

  1. To display peak values in decibels (dB), select the Power check box.
  2. To save the settings and not close the dialog box, click Apply.
  3. To save the settings and close the dialog box, click OK.

Note

  • To view the bandwidth for the file, on the File menu, click Information, and then click the Data tab.
  • Formant estimates in a Spectrum graph are calculated using an LPC model whose order is based on a sampling frequency (Fs / 1000 + 2).

Graph Parameters overview


Waveform tab, Graph Parameters

The Waveform tab appears on the Graph Parameters dialog box, if you select a Raw Waveform, Duration, Change, Zero Crossing, Melogram, or Staff graph type.

To change the Waveform tab parameters, do the following:

  1. Select an active graph type.
  2. Do one of the following:
    • On the Graphs menu, click Parameters.
    • Right-click in a plot area, and then click Parameters.
  3. Click the Waveform tab.
  4. Do one of the following:
    • In the Data Source area, select either Wave File or a Process defined in the Workbench on the Tools menu. Wave File is the default.

This allows you to change the source of data displayed in the waveform graph.

  1. To save the settings and not close the dialog box, click Apply.
  2. To save the settings and close the dialog box, click OK.

Note

  • To select a Process, you first need to configure a process definition, in the Workbench.

Graph Parameters overview


Record Overlay

You can use the Record Overlay to mimic an existing recording, by recording an overlay recording. After the new recording finishes, the graphs from the new recording automatically overlay on the graphs from the existing recording, so you can see if the new graphs are similar to the original.

  1. Do one of the following:
    • On the Graphs menu, point to Overlay, and then click Record Overlay.
    • On the toolbar, click Record Overlay

The Record Overlay dialog box appears.

  1. Do not record immediately.

The Record Overlay dialog box displays Waiting for 2 seconds of silence, to ensure you are ready.

After a two-second pause is identified, the dialog box displays Waiting for input. The Record Overlay is now ready to record.

  1. On the Record Overlay dialog box, do any of the following:
    • To adjust the audio input volume, move the Rec Vol slider or use the arrows.
    • To adjust the playback volume, move the Play Vol slider or use the arrows.
    • To play the overlay, once you have recorded one, click Play.

In the Time area, the Cur time displays the current recording time of the overlay. The End time displays the total recording time of the overlay.

  1. To play the original recording, click Original.
  2. To close the Record Overlay dialog box, click Close.
  3. To change the color of a graph overlay to more easily distinguish it from the underlying graph, do the following:
    • On the Tools menu, click Options, and then click the Colors tab.
    • In Graphs, select Second Data, and then select a Basic or Custom color.

Note

  • Make sure the Record Level indicator does not turn red frequently, because recording quality will suffer.

Overlay


Graph shortcut menu

When you right-click the plot area of a graph, a shortcut menu appears. Parameters, Transcription, View, Overlay, and Drawing Style also appear on the Graphs menu.

The following options appear on this menu. You can point to:

  • Layout - to select the icon showing the physical display of the graphs in the window.
  • Types - to select a graph type to replace the active graph.

The graph types already selected are checked and dimmed.

  • Retile - to restore the positions of graphs expanded or reduced in size.
  • Snapshot Spectrogram to update the current Snapshot Spectrogram graph with changes made to the Spectrogram graph.

Important

  • If you select Melogram or Staff from the Types list, you must use the Custom Graph Types dialog box to change to another graph type.

Note

  • Not all menu options are active for all graphs.
  • Retile does not work, if any one of the graphs have been expanded to full size
  • Retile and Retile Graphs on the Window menu work exactly the same.

Graphs overview


Graph Types


Auto Pitch graph

The Auto Pitch graph displays a smoothed pitch contour determined by six parameters that Speech Analyzer sets to provide the best overall performance.

Note

  • If you right-click the plot area, and then click Parameters, the Graph Parameters dialog box appears with the Pitch tab selected. You can adjust the display scale on the vertical axis.

If the actual fundamental frequency of the audio data is below the Min Frequency setting, the graph does not display a frequency value.

If the actual fundamental frequency is above the Max Frequency setting, the graph might display a sub-harmonic frequency value. For example, if the actual frequency is 1200 Hz, the graph might display a frequency of 600 Hz (1/2) or 400 Hz (1/3), depending on the setting.

  • On the status bar, the four panes display:
    • The beginning time interval.
    • The time between the begin and end cursor.
    • The pitch at the begin cursor in semitones (st). A semitone is a unit of frequency indicating the number of half-steps between a given frequency and a reference frequency. A semitone represents a half step on a musical scale.
    • The pitch at the begin cursor in hertz (Hz). Hertz is a unit of frequency. One hertz equals one cycle per second.

Pitch graphs


Change graph

The Change graph displays the amount of change in frequency characteristics. Because different phones usually have different frequency content, peaks indicate possible segment boundaries.

This graph is intended for expert phoneticians. It displays the Average Magnitude Difference Function (AMDF), which is a measure of how well a signal matches a time-shifted version of itself, as a function of the amount of time shift. The match is calculated using subtraction (instead of multiplication, as in autocorrelation), which reduces computational time.

Note

  • On the status bar, the four panes display:
    • The beginning time interval.
    • The time between the begin and end cursor.
    • The amount of change at the begin cursor.
    • The amount of change at the end cursor.
  • You can also use the Zero Crossing graph to find segment boundaries for fricatives.

Graph Types overview


Change Spectrum plot line colors

The Spectrum graph can display three plot lines. If you need to change the default color of a plot line, do the following:

  1. On Tools menu, click Options.

The Options dialog box appears.

  1. Click the Colors tab.
  2. In the Graph list, do one of the following:
    • To change the cepstral plot line, select First Data.
    • To change the FFT plot line, select Second Data.
    • To change the LPC plot line, select Third Data.
  3. Click the ellipsis button [image].

The Color palette appears.

  1. Select a color.
  2. Click OK.
  3. If you need to change another color, repeat steps 3, 4, 5, and 6.
  4. Click OK.

Note

  • The color of the LPC plot line is also the color of the square dot on Formant Charts.
  • To reset all colors to Speech Analyzer defaults, click Default Colors.

Spectrum graph


Custom Graph Types

If the Graph Types dialog box does not contain the set of graphs you need, do the following.

  1. Click Custom.

The Custom Graph Types dialog box appears, with a check mark next to the currently selected graphs.

  1. Select any of the following graphs to display in the Speech Analyzer window:
    • Raw Waveform, Intensity, Duration, Change
    • Raw Pitch, Custom Pitch, Smoothed Pitch, Auto Pitch
    • Spectrogram, Snapshot, Zero Crossing, Spectrum
    • F1 v. F2, F2 v. F1, (F2-F1) v. F1, F1 v. F2 v. F3
    • Melogram, TWC, Magnitude, Staff
    • Position View
  2. To select another layout, in the Layout area, click another layout icon.
  3. To change the order the graphs appear in the layout, click Order.
  4. Click OK.

Note

  • Speech Analyzer can display a maximum of six graphs for each recording. The Position View, TWC, and Magnitude graphs are not counted.

The Speech Analyzer dialog box appears if you attempt to select more than six graphs.

  • Speech Analyzer always displays the Position View graph at the top.

Graph Types


Custom Pitch graph

The Custom Pitch graph displays a pitch contour determined by six parameters that you can set.

Note

  • If you right-click the plot area, and then click Parameters, the Graph Parameters dialog box appears with the Pitch tab selected. You can adjust the display scale on the vertical axis and manual settings that affect the pitch contour itself.

If the actual fundamental frequency of the audio data is below the Min Frequency setting, the graph does not display a frequency value.

If the actual fundamental frequency is above the Max Frequency setting, the graph might display a sub-harmonic frequency value. For example, if the actual frequency is 1200 Hz, the graph might display a frequency of 600 Hz (1/2) or 400 Hz (1/3), depending on the setting.

  • On the status bar, the four panes display:
    • The beginning time interval.
    • The time between the begin and end cursor.
    • The pitch at the begin cursor in semitones (st). A semitone is a unit of frequency indicating the number of half-steps between a given frequency and a reference frequency. A semitone represents a half step on a musical scale.
    • The pitch at the begin cursor in hertz (Hz). Hertz is a unit of frequency. One hertz equals one cycle per second.
  • The Custom Pitch graph is equivalent to the Fchoose graph in CECIL.

Pitch graphs


Duration graph

The Duration graph displays the duration of transcribed phonetic segments.

Note

  • On the status bar, the two panes display:
    • The beginning time interval.
    • The duration of the segment at the begin cursor in milliseconds (ms).

Graph Types overview


F1 v. F2 graph

The F1 v. F2 graph displays the first two formants of a vowel at the begin cursor. A square dot in the plot area marks the intersection of F1 on the horizontal axis and F2 on the vertical axis. Nasalized and other modified vowels may not plot correctly.

To display this graph, do the following:

  1. On the Graphs menu, click Types, and then select the Spectrogram and F1 v. F2 graphs.
  2. In the Spectrogram graph, click in a vowel.

A square dot appears in the plot area of the F1 v. F2 graph.

  1. If Select voiced region appears, make sure that you select a vowel.
  2. If Data Out of Range appears, one of the formants is too low or too high to appear on the graph. The formant values appear on the status bar.
  3. If No Vowels Defined For Selected Gender appears, select the correct gender on the Source tab of the File Information dialog box.

Note

  • If you right-click the plot area, and then click Parameters, the Graph Parameters dialog box appears with the Formants tab selected.
  • On the status bar, the two panes display F1 and F2.
  • Formants in the F1 v. F2 graph correspond to formant tracks in the Spectrogram graph. Formants on the LPC plot line in the Spectrum graph are calculated in a slightly different way.
  • The F2 v. F1 graph displays F2 on the horizontal axis and F1 on the vertical axis.

Formant Charts


F1 v. F2 v. F3 graph

The F1 v. F2 v. F3 graph displays the first three formants of a vowel at the begin cursor. A square dot in the plot area marks the intersection of F1 on the horizontal axis, F2 on the diagonal (depth) axis, and F3 on the vertical axis. Nasalized and other modified vowels may not plot correctly. Notice the direction of increasing F2 values.

To display this graph, do the following:

  1. On the Graphs menu, click Types, and then select the Spectrogram and F1 v. F2 v. F3 graphs.
  2. In the Spectrogram graph, click in a vowel.

A square dot appears in the plot area of the F1 v. F2 v. F3 graph.

  1. If Select voiced region appears, make sure that you select a vowel.
  2. If Data Out of Range appears, one of the formants is too low or too high to appear on the graph. The formant values appear on the status bar.
  3. If No Vowels Defined For Selected Gender appears, select the correct gender on the Source tab of the File Information dialog box.

Note

  • If you right-click the plot area, and then click Parameters, the Graph Parameters dialog box appears with the Formants tab selected.
  • On the status bar, the two panes display F1, F2, and F3.
  • Formants in the F1 v. F2 v. F3 graph correspond to formant tracks in the Spectrogram graph. Formants on the LPC plot line in the Spectrum graph are calculated in a slightly different way.

Formant Charts


(F2-F1) v. F1 graph

The (F2-F1) v. F1 graph displays the first two formants of a vowel at the begin cursor. A square dot in the plot area marks the intersection of (F2-F1) on the horizontal axis and F1 on the vertical axis. Nasalized and other modified vowels may not plot correctly. Notice the direction of increasing values.

As F1 increases, vowels go from high-to-low. As the formant difference (F2-F1) decreases, vowels go from front-to-back.

Because the (F2-F1) v. F1 graph organizes vowels like the International Phonetic Alphabet (IPA) Chart, you might prefer it to the F1 v. F2 and F2 v. F1 graphs.

To display this graph, do the following:

  1. On the Graphs menu, click Types, and then select the Spectrogram and (F2-F1) v. F1 graphs.
  2. In the Spectrogram graph, click in a vowel.

A square dot appears in the plot area of the (F2-F1) v. F1 graph.

  1. If Select voiced region appears, make sure that you select a vowel.
  2. If Data Out of Range appears, one of the formants is too low or too high to appear on the graph. The formant values appear on the status bar.
  3. If No Vowels Defined For Selected Gender appears, select the correct gender on the Source tab of the File Information dialog box.

Note

  • If you right-click the plot area, and then click Parameters, the Graph Parameters dialog box appears with the Formants tab selected.
  • On the status bar, the two panes display F1 and F2.
  • Formants in the (F2-F1) v. F1 graph correspond to formant tracks in the Spectrogram graph. Formants on the LPC plot line in the Spectrum graph are calculated in a slightly different way.

Formant Charts


F2 v. F1 graph

The F2 v. F1 graph displays the first two formants of a vowel at the begin cursor. A square dot in the plot area marks the intersection of F2 on the horizontal axis and F1 on the vertical axis. Nasalized and other modified vowels may not plot correctly. Notice the direction of increasing F1 values.

To display this graph, do the following:

  1. On the Graphs menu, click Types, and then select the Spectrogram and F2 v. F1 graphs.
  2. In the Spectrogram graph, click in a vowel.

A square dot appears in the plot area of the F2 v. F1 graph.

  1. If Select voiced region appears, make sure that you select a vowel.
  2. If Data Out of Range appears, one of the formants is too low or too high to appear on the graph. The formant values appear on the status bar.
  3. If No Vowels Defined For Selected Gender appears, select the correct gender on the Source tab of the File Information dialog box.

Note

  • If you right-click the plot area, and then click Parameters, the Graph Parameters dialog box appears with the Formants tab selected.
  • On the status bar, the two panes display F1 and F2.
  • Formants in the F2 v. F1 graph correspond to formant tracks in the Spectrogram graph. Formants on the LPC plot line in the Spectrum graph are calculated in a slightly different way.
  • The F1 v. F2 graph displays F1 on the horizontal axis and F2 on the vertical axis.

Formant Charts


Formant Charts

Vowels may be characterized by their first two formants, provided they have no modifications (for example, nasalization).

The F1 v. F2, F2 v. F1, (F2-F1) v. F1, and F1 v. F2 v. F3 graphs display the first two or three formants of a vowel at the begin cursor.

  1. Select a vowel segment.
  2. Reposition the begin cursor near the center of the segment.
  3. To ensure accurate formant estimates, you can improve the formant displays.

Note

  • Formants on Formant Charts correspond to formant tracks on the Spectrogram graph. Formants on the LPC plot line on the Spectrum graph are calculated in a slightly different way.
  • Speech Analyzer updates the formants as you move the cursor in another graph, if you select While cursor moving on the View tab of the Options dialog box.
  • To change the color of the square dot on Formant Charts and the color of the LPC plot line on the Spectrum graph, on the Colors tab of the Options dialog box, select Third Data in the Graph list, and then select a color from the color palette.

Graph Types overview


Formants

Formants (or formant frequencies) are the resonant frequencies of the vocal tract. The term is also used to refer to the peaks in the spectrum caused by these resonances. Individual formants are numbered in order of ascending frequency (as in F1, F2, F3, and so on).

Speech Analyzer can display formants on the following graphs.

  • Formant tracks on a Spectrogram graph.
  • FFT, cepstral, and LPC plot lines on a Spectrum graph.
  • The first two or three formants of a vowel on a Formant Chart.

Note

  • Formants on Formant Charts correspond to formant tracks on a Spectrogram graph. Formants on the LPC plot line on a Spectrum graph are calculated in a slightly different way.
  • Formant tracks in a Spectrogram graph are calculated using a bank of 1st order LPC tracking filters based on:

Mustafa, Kamran, and Ian C. Bruce, “Robust Formant Tracking for Continuous Speech with Speaker Variability,” IEEE Transactions on Audio, Speech, and Language Processing, Vol. 14, No. 2, March 2006.

  • Formant estimates in a Spectrum graph are calculated using an LPC model whose order is based on a sampling frequency (Fs / 1000 + 2).

Formant Charts


Improve formant displays

Formant Charts

If the formant results appear to incorrect, do the following:

  1. Examine the begin cursor position in the Raw Waveform graph.
    • Make sure that the cursor is not in a region of coarticulation, unless that is what you intended to analyze.

Coarticulation is the influence successive speech sounds exert on each other, especially on the boundary between sounds.

  1. Make sure that the fragments near the cursor are very similar.
  2. If needed, move the begin cursor to a different area of the phonetic segment.

Spectrum graph

If F1 and F2 are indistinct in the LPC plot line, do the following:

  1. On the Graph Parameters dialog box, click the Spectrum tab.
  2. In the Calculations area, increase the Peak Sharpening Factor to 3, and then click Apply.
  3. Examine the Spectrum graph to see if the formant peaks become distinct.
  4. If more peaks do not appear, increase the Peak Sharpening Factor to 5, and then click Apply.

Related Topics

Formant Charts

Spectrum graph


Intensity graph

Intensity (or physical intensity) is the instantaneous energy delivered by a sound, relative to a fixed energy level. This is the acoustic correlate of the (psychoacoustic) loudness. Loudness is the quality of a sound that is the primary psychological correlate of physical intensity.

The Intensity graph displays the intensity of the recording relative to a reference sound.

Note

  • If you right-click the plot area, and then click Parameters, the Graph Parameters dialog box appears with the Intensity tab selected. You can adjust the display scale on the vertical axis.
  • On the status bar, the four panes display:
    • The beginning time interval.
    • The time between the begin and end cursor.
    • The relative intensity at the begin cursor.
    • The linear magnitude in percent.

Graph Types overview


Music Graph Types


Music analysis

Ethnomusicology is the study of music in its cultural context; cultural musicology.

Ethnomusicology studies the music of all people, including cultures where non-Western standards of tuning, pitch discrimination, and rhythmic units may prevail.

Speech Analyzer supports monophonic recording and playback only. Speech Analyzer has MIDI capabilities, but it is not designed as a music publishing tool.

You can use the music graphs to analyze rhythm and pitch patterns.

  • You can open existing music recordings or make new recordings.
  • To open a saved combination of music graphs, click the Music taskbar, and then click an icon.
  • To display a custom combination of music graphs, on the Graphs menu, click Types, and then click Custom.
  • To analyze rhythm, use time-based graphs, including the Raw Waveform graph.
  • To analyze pitch, use the Melogram.
  • To measure the tonal center, use the Tonal Weighting Chart.
  • On the Staff, you can transcribe Western music notation.

Related Topics

Music Graph types overview

Note reference chart


Clefs

Speech Analyzer supports five possible clefs on the Staff. The clefs overlap. At least one of the clefs can usually display all the notes in a particular song.

Clef | Notes | Description | Shortcut keys
 | G4 - D7 | an octave higher (ottava alta) than treble | Ctrl+1
 | G3 - D6 | treble | Ctrl+2
 | G2 - D5 | an octave lower (ottava bassa) than treble | Ctrl+3
 | B1 - F4 | bass | Ctrl+4
 | B0 - F3 | an octave lower (ottava bassa) than bass | Ctrl+5

Staff


Example 1 of all music graphs

Compare to example 1 of Melogram and Staff

Output of a synthesizer: Twinkle, Twinkle, Little Star legato

Melogram and Staff examples


Example 1 of Melogram and Staff

Compare to example 1 of all music graphs

Output of a synthesizer: Twinkle, Twinkle, Little Star legato

Melogram and Staff examples


Example 2 of all music graphs

Compare to example 2 of Melogram and Staff

Output of a synthesizer: Twinkle, Twinkle, Little Star staccato

Melogram and Staff examples


Example 2 of Melogram and Staff

Compare to example 2 of all music graphs

Output of a synthesizer: Twinkle, Twinkle, Little Star staccato

Melogram and Staff examples


Example 3 of all music graphs

Compare to example 3 of Melogram and Staff

Recording of a male voice: Twinkle, Twinkle, Little Star

Melogram and Staff examples


Example 3 of Melogram and Staff

Compare to example 3 of all music graphs

Recording of a male voice: Twinkle, Twinkle, Little Star

Melogram and Staff examples


Magnitude graph

The Magnitude graph displays intensity of the melody relative to a reference sound.

It is equivalent to an Intensity graph for phonetic analysis.

The horizontal axis displays time. It aligns with the Melogram.

The vertical axis displays linear magnitude.

Note

  • On the status bar, the four panes display:
    • The beginning time interval.
    • The time between the begin and end cursor.
    • The relative intensity at the begin cursor.
    • The linear magnitude at the begin cursor.

Music Graph Types overview


Measure the tonal center

The Tonal Weighting Chart is a histogram of pitches in a melody.

The farther the peak extends to the right, the more data points Speech Analyzer calculated at that pitch.

  1. To make sure the graphs are precisely aligned, on the Window menu, click Retile Graphs.
  2. In the Tonal Weighting Chart, click the longest peak to move the private (blue) cursor to the probable tonal center.

On the Status bar:

  1. The third pane displays the pitch in semitones.
  2. The fourth pane displays the pitch in hertz.

Music analysis


Melogram

The Melogram displays the contour of a melody for music analysis.

If you can read music notation but are not familiar with the melogram, you can study Melogram and Staff examples to improve your understanding.

The melogram is equivalent to the Smoothed Pitch graph for phonetic analysis.

The horizontal axis displays time. It aligns with the Magnitude graph.

The vertical axis displays frequency. It aligns with the Tonal Weighting Chart.

Note

  • If you right-click the plot area, and then click Parameters, the Graph Parameters dialog box appears with the Music tab selected.

If the actual fundamental frequency of the audio data is below the Lower Boundary setting in the Calculation area, the Melogram does not display a frequency value.

If the actual fundamental frequency is above the Upper Boundary setting in the Calculation area, the Melogram might display a sub-harmonic frequency value. For example, if the actual frequency is 1200 Hz, the Melogram might display a frequency of 600 Hz (1/2) or 400 Hz (1/3), depending on the setting.

  • On the status bar, the four panes display:
    • The beginning time interval.
    • The time between the begin and end cursor.
    • The pitch at the begin cursor in semitones (st). A semitone is a unit of frequency indicating the number of half-steps between a given frequency and a reference frequency. A semitone represents a half step on a musical scale. (The nearest musical note is in parentheses.)

The nearest musical note is in parentheses.

  • The pitch at the begin cursor in hertz (Hz). Hertz is a unit of frequency. One hertz equals one cycle per second.

Music Graph Types overview


Melogram and Staff examples

The Melogram displays the contour of a melody for music analysis.

On the Staff, you can transcribe Western music notation corresponding to rhythm and pitch patterns.

If you can read music notation but are not familiar with Melograms, you can study the following examples to improve your understanding.

The examples consist of Twinkle, Twinkle, Little Star. Two examples are the output of a synthesizer. The third example is a recording of a male voice.

For each example, study the Melogram and Staff artifically aligned to emphasize the relationship between the fundamental frequency contour and the transcribed notes, and then compare to the music graphs as they actually appear in Speech Analyzer.

Example 1: | Melogram and Staff | all music graphs
Example 2: | Melogram and Staff | all music graphs
Example 3: | Melogram and Staff | all music graphs

Music Graph Types overview


Type music notation on the Staff

Music notation is a standardized system of writing for music, involving notes, clefs, sharps, flats, and other symbols.

To type music notation in Speech Analyzer, do the following:

  1. Click where you need to enter the note in the Staff.
  2. To insert a note, press A, B, C, D, E, F, or G.

A note appears on the Staff, with the following default attributes:

  1. The accidental is = for natural.
  2. The octave is 4.
  3. The onset glide is * for none.
  4. The duration is Q for quarter note.
  5. The duration modifier is N for normal.
  6. The concluding glide is Spacebar for none.
  7. You can type any of the note attributes that appear on the Accidental, Duration, Octave, Glide, Symbol submenus of the Staff shortcut menu.

Note

  • To insert a rest, press R.
  • To see the typed music notation, select one or more notes, and then press Ctrl+D.
  • To move notes up or down on the Staff, select one or more notes, and then press Up Arrow or Down Arrow. To move notes by an octave, hold down Ctrl.

Related Topics

Staff

Note reference chart


Note reference chart

In the following chart, frequencies are rounded to the precision that appears on the status bar in Speech Analyzer.

The system for numbering notes in Speech Analyzer is based on the international MIDI standard. For more information on the Web, go to http://www.midi.org

The highest note on a piano keyboard is C in Octave 8. The lowest note is A in Octave 0. Middle C is in Octave 4.

Music analysis


Music Graph Types overview

To support music analysis, Speech Analyzer provides the following graphs.

Main graphs

  • The Melogram displays the contour of a melody.
  • The Tonal Weighting Chart is a histogram of the pitches in a melody.
  • The Magnitude graph displays the intensity of the melody relative to a reference sound.
  • On the Staff, you can transcribe Western music notation corresponding to rhythm and pitch patterns.

Supporting graphs

  • The Position View graph displays the entire waveform, even if you zoom other graphs.
  • The Raw Waveform graph displays the unprocessed sound picked up by the microphone. If necessary, you can delete non-musical material from the beginning and end of the audio file.

Note

  • You can add phrase level markings on the Phrase Level transcription bar.

Related Topics

Graph Types overview

Melogram and Staff examples


Staff

On the Staff, you can transcribe Western music notation corresponding to rhythm and pitch patterns. Speech Analyzer has MIDI capabilities, but it is not designed as a music publishing tool.

Music notation is a standardized system of writing for music, involving notes, clefs, sharps, flats, and other symbols. Speech Analyzer supports quarter-tone accidentals.

To transcribe notes to the Staff, you can do either of the following:

  • Type the music notation.
  • Right-click in the Staff, and then select a note on the Staff shortcut menu.

At the left of the Staff, you can do any of the following:

To | Click
Play the notes. |
Play the notes and also the waveform. |
Play only the waveform. |
Stop the playback. |
Select an instrument for playback. | Voice
Select a tempo for playback. | Tempo
Import notes from a MusicXML, MIDI, RTF, or text file. | Import
Export notes to a MusicXML, MIDI, RTF, or text file. | Export
Convert pitch levels in the Melogram to a rough, initial notation. It erases any notes on the staff before the conversion. | Convert

Note

  • Music transcription data is stored in a file with a .music.xml extension in the same folder as the audio file.
  • On the status bar, the two panes display:
    • The beginning time interval.
    • The time between the begin and end cursors.
  • Convert only works for monophonic recording, that is, only one singer or one instrument and no accompaniment.
  • Convert does not create half sharps, half flats, 1 1/2 sharps and 1 1/2 flats.
  • When the beginning of the data is not visible, the clef becomes gray.

Music Graph Types overview


Staff shortcut menu

You can right-click the Staff, and then click any of the following options:

  • Cut, Copy, and Paste
  • Clear (Delete key) any previously selected notation.
  • Select All (Ctrl+A) notation.
  • View Data (Ctrl+D) produces the Musique dialog box displaying internal data representation in text format.
  • Play Selection (Ctrl+L) plays back the selected notation.

If no notes are selected, all notes on the staff play.

  • Export to file (Ctrl+W) exports staff notation to a MusicXML, MIDI, RTF, or Text file format.
  • Import from file (Ctrl+E) imports staff notation from a MusicXML, MIDI, RTF, or Text file format.
  • Convert works just as the Convert button.
  • MIDI voice (Ctrl+M) sets the same playback instruments as the Voice button for the notation.
  • Tempo sets the tempo such as Allegro, Andante, and others for the entire notation.
  • Clef changes the clef to a Treble or Bass clef for the entire notation.

Note Attributes

  • Name sets the name (A, B, C, D, E, F, G, or R for rest) for the current note.
  • Accidental inserts flats, sharps, half-flats, and half-sharps.
  • Duration sets the current note value (Whole notes, Half notes, Quarter notes, Dotted, and so on).
  • Octave switches the octave (0 to 7) of the current note.
  • Glide adds rise, fall, or tie/slur articulations to the current note.

A Glide does not playback in Play Selection or export in MIDI format.

  • Symbol inserts a Bar, Thick Bar, Subphrase break, Phrase break, or Space.

Note

  • The Convert button need only be used for an initial, rough notation.
  • The Octave designations, for example, (Piccolo), and Tempo designations, for example, (Adagio), are only approximations of the ranges.

Staff


Tonal Weighting Chart

The Tonal Weighting Chart is a histogram of pitches in a melody for music analysis.

The chart displays intervals smaller than Western semitones. A semitone represents a half step on a musical scale.

  • You can determine the scale (or tonal inventory) of a melody.
  • You can measure the tonal center (if one exists) of a melody.

The horizontal scale displays the number of occurrences of a frequency value.

The vertical axis displays fundamental frequency. It aligns with the Melogram.

Note

  • If you right-click the plot area, and then click Parameters, the Graph Parameters dialog box appears with the Music tab selected.
  • To improve the readability of the Tonal Weighting Chart, you can close the Raw Waveform, Position View, and Magnitude graphs.
  • If you need to adjust 0 up or down on the axis to align with the tonal center, you can click the arrow buttons at the lower left of graph.
  • To measure a value on the status bar, click to move the private (blue) cursor*.
  • On the status bar, the four panes display:
    • Pitch of the zero line in semitones.
    • Difference in pitch between the private cursor* and the zero line.
    • Pitch at the private cursor* in semitones.

The nearest musical note is in parentheses.

  • Pitch at the private cursor* in hertz.

Music Graph Types overview


Transcribe notes to the Staff

For each note in the audio data, do the following:

  1. Click the title bar of the Melogram.
  2. Move the begin (green) cursor to the part of a note that is most representative of its pitch. The pitch of a musical note can change considerably from its beginning to its end, except for instruments of fixed pitches (for example, a xylophone).
  3. Notice the music notation (note name and octave) that appears in parentheses in the third pane of the status bar at the lower right of the Speech Analyzer window.
  4. Click where you need to enter the note in the Staff.
  5. To enter the note, do one of the following:
    • Type the music notation.

A note appears on the Staff.

  1. Right-click in the Staff, and then select a note on the Staff shortcut menu.

A highlighted note appears on the Staff.

If you need to select an attribute, right-click the note.

Note

  • You can cut, copy, and paste a musical note from one part of the staff to another.
  • To delete one or more notes, drag in the Staff to select the notes, and then press Delete on the keyboard.

Related Topics

Staff

Note reference chart


Graph Types Order

To change the order of the selected graphs in the Custom Graph Types dialog box, do the following:

  1. Click Order.

The Graph Types Order dialog box appears. The list displays the current order of the graphs, and current graph layout is shown on the right.

  1. To change the order, select a graph in the list, and then click Up or Down.

The selected graph title moves up or down in the list.

  1. When the complete order has been changed, click OK.

Note

  • Speech Analyzer always displays the Position View graph at the top of the graph display, but it does not appear in the graph list.

Custom Graph Types


Graph Types overview

A graph is a window that displays a specific type of information about the current sound (such as the pitch or spectrum), including the plot area and the X and Y axes. A plot is the data points or symbols contained in a graph that may be connected by a line (plot line), and the area that contains them (plot area).

In Speech Analyzer, you can display the active file in one or more graphs.

  • On the Graph Types dialog box, you can select a defined set of graphs.
  • On the Custom Graph Types dialog box, you can select any of the following graphs.
Temporal Spectral Music
|

Raw Waveform

Intensity

Duration

Change

|

Spectrogram

Snapshot

Zero Crossing

Spectrum

|

Melogram

Staff

|Pitch|Formant Charts|Special| |

Raw Pitch

Custom Pitch

Smoothed Pitch

Auto Pitch

|

F1 v. F2

F2 v. F1

(F2-F1) v. F1

F1 v. F2 v. F3

|Position View|

Graphs overview


Pitch graphs

Pitch is the perceived fundamental frequency of a sound. While the actual fundamental frequency can be precisely determined through physical measurement, it may differ from the perceived pitch because of overtones, or partials, in the sound.

In acoustic phonetics, absolute pitch is the fundamental frequency of voiced speech. It is the acoustic correlate of the (psychoacoustic) pitch. Frequency is the number of times a repeated event occurs per unit of time. The fundamental frequency (or f0) of a periodic signal is the inverse of the period length. The period is, in turn, the smallest repeating unit of a signal.

Speech Analyzer provides four different pitch graphs:

  • The Raw Pitch graph displays a pitch contour determined by three parameters that you can set.
  • The Custom Pitch graph displays a pitch contour determined by six parameters that you can set.
  • The Smoothed Pitch graph displays a smoothed pitch contour determined by six parameters that you can set.
  • The Auto Pitch graph displays a smoothed pitch contour determined by six parameters that Speech Analyzer sets to provide the best overall performance.

Note.

Speech Analyzer computes pitch using the Average Magnitude Difference Function (AMDF), which is a measure of how well a signal matches a time-shifted version of itself, as a function of the amount of time shift. The match is calculated using subtraction (instead of multiplication, as in autocorrelation), which reduces computational time.

Related Topics

Graph Types overview

CECIL vs. Speech Analyzer pitch terminology


Position View graph

A waveform is an audio recording and the graph of its samples. It can also refer to the audio file that contains the recording.

The Position View graph displays the entire waveform, even if you zoom other graphs. The highlighted area corresponds to the area that you can see in other graphs that plot time on the horizontal axis (for example, Raw Waveform graph).

Speech Analyzer displays the Position View graph above other graphs. You cannot move it or resize it. You cannot display it alone.

  • To display more temporal detail in other graphs, click Zoom Step In [image] on the toolbar, or drag the scroll box down on the vertical scroll bar.

In the Position View graph, the width of the highlighted area decreases.

  • To display more of the waveform in other graphs, click Zoom Step Out [image], or drag the scroll box up on the vertical scroll bar.

In the Position View graph, the width of the highlighted area increases.

  • To display the entire waveform in other graphs, click Zoom Full [image], or drag the scroll box to the top of the vertical scroll bar.

In the Position View graph, the entire waveform is highlighted.

  • To display the waveform between the begin and end cursors in other graphs, click Zoom Cursors [image].

In the Position View graph, the area between the cursors is highlighted.

  • To display a different part of the waveform in other graphs, drag the scroll box on the horizontal scroll bar.

In the Position View graph, the highlighted area moves. The width of the highlighted area does not change.

When graphs display the entire waveform, the horizontal scroll bar is unavailable.

Note

  • On the status bar, the two panes display:
    • The beginning time interval.
    • The time between the begin and end cursor.

Graph Types overview


Raw Pitch graph

The Raw Pitch graph displays a pitch contour determined by three parameters that you can set.

Note

  • If you right-click the plot area, and then click Parameters, the Graph Parameters dialog box appears with the Pitch tab selected. You can adjust the display scale on the vertical axis and manual settings that affect the pitch contour itself.

If the actual fundamental frequency of the audio data is below the Min Frequency setting, the graph does not display a frequency value.

If the actual fundamental frequency is above the Max Frequency setting, the graph might display a sub-harmonic frequency value. For example, if the actual frequency is 1200 Hz, the graph might display a frequency of 600 Hz (1/2) or 400 Hz (1/3), depending on the setting.

  • On the status bar, the four panes display:
    • The beginning time interval.
    • The time between the begin and end cursor.
    • The pitch at the begin cursor in semitones (st). A semitone is a unit of frequency indicating the number of half-steps between a given frequency and a reference frequency. A semitone represents a half step on a musical scale.
    • The pitch at the begin cursor in hertz (Hz). Hertz is a unit of frequency. One hertz equals one cycle per second.
  • The Raw Pitch graph is equivalent to the Fraw graph in CECIL.

Pitch graphs


Raw Waveform graph

A waveform is an audio recording and the graph of its samples. It can also refer to the audio file that contains the recording.

The Raw Waveform graph displays the unprocessed sound picked up by the microphone. Time is on the horizontal axis and air pressure variations are on the vertical axis. Because a screen pixel on the horizontal axis might represent many sound samples, the maximum and minimum values are plotted. Pressure is the force per unit area applied on a surface.

To adjust the display of audio data, you can do any of the following:

  • Use toolbar buttons.
  • Use the shortcut keys to control zoom.
  • Use the shortcut keys for view control.
  • Use the Zoom function
  • Use the Magnify function.

Note

  • If you right-click the plot area, and then click Parameters, the Graph Parameters dialog box appears with the Waveform tab selected.
  • On the status bar, the four panes display:
    • The beginning time interval.
    • The time between the begin and end cursor.
    • The amplitude at the begin cursor.
    • The amplitude at the end cursor.
  • To select the graph area between the begin and end cursors, press Ctrl+A.
  • By default, Speech Analyzer shows the Phonetic transcription bar on the Raw Waveform graph.
  • The Position View graph displays the position of the currently displayed data within the entire file.

Graph Types overview


Select a vowel segment

If an utterance has a phonetic transcription, you can quickly align the cursors with the boundaries of a vowel segment.

  1. If you need to display a Raw Waveform graph, on the Graphs menu, click Types.

The Graph Types dialog box appears.

Select a screen configuration, and then click OK.

  1. If you need to display the entire waveform, on the toolbar, click Zoom Full [image].
  2. On the Phonetic transcription bar, click a vowel segment.

The begin and end cursors snap to the beginning and end of the vowel segment.

  1. If needed, you can zoom or magnify.

Formant Charts


Smoothed Pitch graph

The Smoothed Pitch graph displays a smoothed pitch contour determined by six parameters that you can set.

Note

  • If you right-click the plot area, and then click Parameters, the Graph Parameters dialog box appears with the Pitch tab selected. You can adjust the display scale on the vertical axis and manual settings that affect the pitch contour itself.

If the actual fundamental frequency of the audio data is below the Min Frequency setting, the graph does not display a frequency value.

If the actual fundamental frequency is above the Max Frequency setting, the graph might display a sub-harmonic frequency value. For example, if the actual frequency is 1200 Hz, the graph might display a frequency of 600 Hz (1/2) or 400 Hz (1/3), depending on the setting.

  • On the status bar, the four panes display:
    • The beginning time interval.
    • The time between the begin and end cursor.
    • The pitch at the begin cursor in semitones (st). A semitone is a unit of frequency indicating the number of half-steps between a given frequency and a reference frequency. A semitone represents a half step on a musical scale.
    • The pitch at the begin cursor in hertz (Hz). Hertz is a unit of frequency. One hertz equals one cycle per second.

Pitch graphs


Snapshot Spectrogram

You can preserve a snapshot (that is, make a copy) of the current Spectrogram graph before you zoom or adjust the parameters.

  • To make a snapshot, on the toolbar click Snapshot Spectrogram [image].

If you have not made a snapshot, Zoom other graphs as needed and click the Snapshot Spectrogram button appears in the plot area.

  • to update the Snapshot Spectrogram graph after you zoom a graph, you must click Snapshot Spectrogram [image] again.

Note

  • On the status bar, the four panes display:
    • The beginning time interval.
    • The time between the begin and end cursor.
    • The frequency at the mouse pointer.
    • The intensity at the mouse pointer.

Graph Types overview


Spectrogram graph

A spectrogram is a three-dimensional plot of the intensity of the frequency content of a signal as it changes over time. Usually the vertical axis indicates frequency, the horizontal axis indicates time, and the color or gray scale indicates intensity. In Speech Analyzer, magenta is the color of the highest intensity and dark blue is the color of the lowest intensity.

Note

  • If you right-click the plot area, and then click Parameters, the Graph Parameters dialog box appears with the Spectrogram tab selected. You can adjust the upper bound of frequency on the vertical axis, display formant tracks, and so on.
  • You can preserve a snapshot (that is, make a copy) of the current Spectrogram graph before you zoom or adjust the parameters.
  • On the status bar, the four panes display:
    • The beginning time interval.
    • The time between the begin and end cursor.
    • The frequency at the mouse pointer.
    • The intensity at the mouse pointer.
  • To show or hide formant tracks, you can click Formant Tracks [image] on the toolbar.

If you show formant tracks, the status bar displays F1, F2, F3, and F4 at the begin cursor.

  • Formant tracks are calculated using a bank of 1st order LPC tracking filters based on:

Mustafa, Kamran, and Ian C. Bruce, “Robust Formant Tracking for Continuous Speech with Speaker Variability,” IEEE Transactions on Audio, Speech, and Language Processing, Vol. 14, No. 2, March 2006.

  • Formants on Formant Charts correspond to formant tracks on a Spectrogram graph. Formants on the LPC plot line on a Spectrum graph are calculated in a slightly different way.
  • FFT stands for fast Fourier transform. It is an efficient algorithm to decompose a sound into a spectrum of its frequency components. In Speech Analyzer, the FFT is calculated using 4x oversampling and linear interpolation. A frequency adjustable Hanning window is applied to the data before the FFT is calculated.

Graph Types overview


Spectrum graph

A spectrum is a two-dimensional plot of the intensity of the frequency content of a signal. Frequency is the number of times a repeated event occurs per unit of time.

The Spectrum graph displays the energy levels at each frequency in the audio data, between the begin and end cursors.

If Move cursors closer together appears, you need to move the begin and end cursors closer together. To move the cursors into the center of a phone, you might need to zoom the Raw Waveform graph.

A plot is the data points or symbols contained in a graph that may be connected by a line (plot line), and the area that contains them (plot area). The Spectrum graph can display three plot lines.

  • The FFT plot line displays the unsmoothed fast Fourier transform, which is an efficient algorithm to decompose a sound into a spectrum of its frequency components.
  • The cepstral plot line displays the cepstrum, which is the fast Fourier transform of the log (decibel) spectrum. This separates the pitch and vocal tract components, which allows for smoothing.
  • The LPC plot line displays the gross features of the spectrum. LPC stands for Linear predictive coding. It is a technique for representing the spectrum of sound in compressed form, based on a linear predictive model.

The formant frequencies estimated from the LPC model are shown by squares superimposed on the LPC plot line.

Note

  • If you right-click the plot area, and then click Parameters, the Graph Parameters dialog box appears with the Spectrum tab selected. You can adjust smoothing, peak sharpening, and so on.
  • The private cursor is the blue cursor that you can move independently of the begin and end cursors on the Spectrum graph and Tonal Weighting Chart.
  • On the status bar, the four panes display:
    • The frequency at the private cursor.
    • The value on the cepstral plot line at the private cursor.
    • The value on the FFT plot line at the private cursor.
    • The value on the LPC plot line at the private cursor.
  • To make accurate measurements, you can maximize the graph.
  • A Gaussian window is applied to the audio data before the FFT is calculated.
  • Formant estimates on the LPC plot line are calculated using an LPC model whose order is based on the sampling frequency (Fs / 1000 + 2). Formant tracks on a Spectrogram graph are calculated in a slightly different way.
  • You can change Spectrum plot line colors.

Graph Types overview


Graph Types

Speech Analyzer can display 19 different graphs, but you can only select 6 graphs to display at a time (plus the Position View graph).

  1. To display the Graph Types dialog box, do one of the following:
    • On the Graphs menu, click Types.
    • On the toolbar, click Graph Types [image].
    • Press F7.
  2. To see the pre-selected graph configurations for speech, do one of the following:
    • Click the Phonetic tab, and then select an entry in the screen configuration list.
    • Click the Phonetic taskbar pane, and then click an icon.
  3. To see the pre-selected graph configurations for music, do one of the following:
    • Click the Music tab, and then select an entry in the screen configuration list.
    • Click the Music taskbar pane, and then click an icon.
  4. If the Phonetic or Music lists do not contain the set of graphs you need, click Custom, select the desired graph types, and then click OK.

Reopen the Graph Types dialog box. If the screen configuration list does not contain the currently displayed custom set of graphs, click Save Current.

Note

  • You can always click Remove on the screen configuration list to remove a selected graph list or music option.
  • To replace one graph type with another, right-click in the plot area of a graph, point to Types, and then select a different graph type.
  • After you select a defined or custom set of graphs, Speech Analyzer saves the configuration to a .psa file.
  • On the startup tab of the Options dialog box, you can tell Speech Analyzer to Permanently or Temporarily save selected graphs sets.

Graph Types overview


Zero Crossing graph

A zero crossing is a point where an audio waveform crosses the zero-line from negative to positive.

The Zero Crossing graph displays the count of zero crossings over a brief time interval.

The oscillation around the zero line is a measure of high-frequency sound content. The higher the zero crossing value, the greater the high-frequency component in the audio data. Fricatives generally have a high zero-crossing value.

Note

  • On the status bar, the four panes display:
    • The beginning time interval.
    • The time between the begin and end cursor.
    • The number of zero crossings at the begin cursor.
    • The number of zero crossings at the end cursor.
  • If you want the cursors to snap to the nearest zero crossing, select Zero Crossing in the Cursor Alignment area on the View tab of the Options dialog box.

Graph Types overview


View

On the Graphs menu, you can point to View to do any of the following:

  • To apply a legend, scales or segment boundaries to one or more graphs:
    • Point to Legend, Time Scale, or Segment Boundaries.
    • And then click All Graphs, This Graph (the active graph), Waveform Only, or No Graphs (no scale or boundary bar).
  • To expand or contract the displayed graphs that plot time on the horizontal axis, point to Zoom, and then click:
    • Step In to display more temporal detail.
    • Step Out to display more of the waveform.
    • Full to display the entire waveform.
    • Cursors to display the waveform between the begin and end cursors.
  • To change the vertical scale for the displayed graphs, point to Magnify, and then click x1, x2, x4, or Custom.

Note

  • Legend (y-axis) sets which graphs display a vertical scale at the left side of the graph.
  • Time Scale (x-axis) sets which graphs display a horizontal scale at the bottom of a graph.
  • Segment Boundaries sets which graphs use vertical lines to display segment boundaries.

Graphs overview


Zoom

To expand or contract the displayed graphs that plot time on the horizontal axis, you can do any of the following.

  • On the Graphs menu, point to View, and then click a command.
  • Click a button on the toolbar.
  • Press a keyboard shortcut.
To | Menu | Toolbar | Keyboard
Display more temporal detail. | Step In |  | Ctrl+Page Down
Display more of the waveform. | Step Out |  | Ctrl+Page Up
Display the entire waveform. | Full |  | Ctrl+Home
Display the waveform between the begin and end cursors. | Cursors |  | Ctrl+Enter

Note

  • When you zoom in or out, Speech Analyzer centers the begin and end cursors.
  • On the vertical scroll bar, you can drag the scroll box down to zoom in and up to zoom out.
  • On the horizontal scroll bar, you can drag the scroll box to display a different part of the waveform. When graphs display the entire waveform, the horizontal scroll bar is unavailable.
  • The Position View graph displays the entire waveform, even if you zoom.
  • To change the vertical scale, use Magnify.

View


Help

On the Help menu, you can do the following:

  • To open the Speech Analyzer Help window, click Speech Analyzer Help.
  • To get solutions to known problems, click Troubleshooting.
  • To learn about graph types, parameters, and commands in Speech Analyzer, click Graphs.
  • To learn about music analysis in Speech Analyzer, click Music Analysis.
  • To open the training course documents, point to Training, and then click:
    • Student Manual teaches Speech Analyzer through active participation.
    • Instructor Guide helps instructors and self-paced learners understand how to teach and use the training course.
  • To read about using Speech Analyzer Help, click Using Help.
  • To see the software version, click About Speech Analyzer.

Include this information with all correspondence about Speech Analyzer.

Tip

  • When you click Help in a dialog box, the Speech Analyzer Help window displays a context-sensitive Help topic.
  • The primary audience for Help is intermediate computer users.

Menus overview


Menus overview

  • On the File menu, you can record, open, close, save, import, export, screen capture, view information, print and page setup Speech Analyzer files.
  • On the Edit menu, you can undo and redo, edit transcriptions, copy and paste, select segments and waveforms, and find and replace text.
  • On the Graphs menu, you can display graph types and parameters, add transcription bars, change graph views, overlay other graphs, equalize the length of two recordings, and change drawing styles.
  • On the Playback menu, you can hear selected wave file sounds, open the player dialog, and use the function keys to hear recordings.
  • On the Tools menu, you can adjust the waveform, use the workbench to filter sounds, create a new waveform, convert wave files to different formats, or change the view, colors, fonts, or startup graph options.
  • On the Window menu, you can display different window combinations, or switch to other open files.
  • On the Help menu, you can learn about Speech Analyzer, troubleshooting, graphs, music analysis, and using Help screens.

User Interface overview


Playback


Playback Function Keys Setup

You can designate a specific keyboard shortcut (for example, Ctrl+F1) to play recordings, using a combination of volume, speed, a part of the recording, and a repeat loop. Once you assign a combination to a keyboard shortcut, you can activate the combination by pressing the keyboard shortcut, or clicking a keyboard shortcut from the Function Keys list on the Playback menu.

This feature is particularly useful if certain combinations of volume, speed, and repetition are frequently used to playback files.

  1. You can find the Function Keys Setup dialog box in either one of two ways:
    • On the Playback menu, click Setup Function Keys.
    • On the Player dialog box, click Fn-Keys.
  2. To change settings in the Function Keys Setup dialog box, do any of the following:
    • In the Ctrl+Fn area, select a key combination to assign values.
    • In the Settings area, adjust any of the following:

To adjust the play volume, move the Volume slider or arrows.

To adjust the play speed, move the Speed slider or arrows.

To hear a phrase, repeat it, and then immediately hear it again, select the Repeat check box. Use the slider or arrows to set the time between the repeats (in ms).

In the drop-down list, select an item showing what portion of the recording to playback.

  1. To see if the current function key settings are correct, click Run Test.
  2. Click OK to save the changes.

Note

  • The text box under the Volume slider has a range from 0% to 100%. For a louder setting use your Windows sound card volume control.
  • Digital displays show numerical percentages under the Volume and Speed slider bars.

Playback overview


Playback overview

On the Playback menu, you can do the following:

  • To play selected parts of the active graph, do any of the following:
    • To play between the begin and end cursor positions, click Between Cursors, or press F8.
    • To play before the end cursor, click Left Window Border–>End (Right), or press F9.
    • To play after the end cursor, click End Cursor–>Right Window Border, or press F10.
    • To play what you can see in the recording graph, click Current Window, or press F11.
    • To play the entire file, click Entire File or press F12.

As the recording plays, a vertical cursor moves left-to-right through the portion selected for playback.

  • To stop the sound during playback, click Stop or press Esc.
  • To use pre-defined playback keys, point to Function Keys, and then click a function key combination in the list.
  • To adjust recording controls on the Player dialog box, click Player.
  • To setup playback function keys, click Setup Function Keys.

Note

  • You can use the toolbar buttons or shortcut keys to perform playback menu functions.
  • Entire File plays the entire recording, regardless of how much data is currently visible.

Menus overview


Player

Using the Player dialog box, you can play, pause, or stop a recording. The player displays the Start Time and Stop Time, and digitally displays the left and right playback levels. You can adjust the volume, speed, and select which part of the recording to play.

You can even set a playback interval, setup a function key combination with specific playback options, and adjust the mixer controls of the playback sound.

  1. To display the Player dialog box, do one of the following:
    • On the Playback menu, click Player.
    • On the toolbar, click Player [image].

The Player dialog box appears with the title of the active file.

  1. You can adjust any of the following:
    • To adjust the volume, move the Volume slider or arrows.
    • To adjust the speed, move the Speed slider or arrows.

You can adjust it from 10% to 333% of normal speed.

  1. To hear a phrase, repeat it, and then immediately hear it again, select the Repeat check box. Use the slider or arrows to set the time between the repeats (in ms).
  2. In the Play list, select an item showing what portion of the recording to playback.
  3. To control the playback of a file, do any of the following:
    • To hear the recording with any changes, click Play.

Playback Level shows the audio level playback. Start Time and Stop Time display.

  1. To pause playback, click Pause.
  2. To stop playback, click Stop.
  3. To setup playback function key combinations for frequently used settings, click Fn-Keys.
  4. To adjust the volume and balance of the playback device, click Mixer.
  5. Click OK to save the changes.

Note

  • Digital displays show numerical percentages under the Volume and Speed slider bars.

Playback overview


Playback Volume Control

On the Player dialog box, you can set the balance and volume for playback devices.

  1. To find the Volume Control dialog box, on the Playback menu, click Player, and then click Mixer.

The Volume Control dialog box appears.

  1. If the device you want to adjust does not show on the dialog box, click Options, and then click Properties.
    • Select a Mixer device from the list.
    • In the Adjust volume for area, select Playback.
    • In the Show the following volume controls area, select or clear any auxiliary devices check boxes.
    • Click OK.
  2. To adjust the Balance for each device, move the slider to the left or right.
  3. To adjust the Volume for each device, move the slider up or down.
    • To eliminate any sound from a device, select Mute under that device.
    • To eliminate all sound from every device, select Mute all.

Player


Tools


Adjust Waveform

To modify the Raw Waveform graph, do the following:

  1. On the Tools menu, point to Adjust Waveform, and then click one of the following:

    • To invert a waveform, click Invert.

      The Raw Waveform graph is inverted (negative values become positive values, and positive values become negative values).

    • To normalize a waveform, click Normalize.

      All the sample values in the waveform increase until the highest peak is at 100% (at the top of the graph).

    • To remove sound-card offset in a waveform, click Zero Offset. Sound-card offset occurs when the sound card incorrectly detects the zero-point of the waveform.

      The Raw Waveform graph centers on the zero line of the graph.

    A check mark appears to the left of the command on the menu.

  2. To change the waveform back, click a command with a check mark next to it.

    The check mark disappears and the Invert, Normalize, or Zero Offset adjustment disappears.

Important

  • When you Invert, Normalize, or Zero Offset, a Speech Analyzer dialog box might appear with the following message:

    The current document contains segment boundaries that are not properly snapped. Would you like to automatically update all segment boundaries to correctly snap alignment (Recommended)?

    Click Yes.

Note

  • When you click Invert, Normalize, or Zero Offset, the adjustment might affect other graphs.

Tools overview


Audio Converter Program

To convert audio data to and from UTT and wav file formats, do the following:

  1. On the Tools menu, click Audio Converter Program.

    A Speech Analyzer dialog box appears.

  2. Read the information, and then click OK.

    The AudioCon Options window opens.

    An Explorer window opens, displaying the default input folder of Audio Converter. If you copy files into the Explorer window, you will not need to browse to a different folder in Audio Converter.

    Copying files into this folder, however, might only be allowed for users in the administrator group. If you are not a member of the administrator group, you might need to browse to a different folder in Audio Converter to find the location of the audio files you wish to convert.

  3. In the Input area, do one of the following:

    • To select a file to convert, search the UTT Files or WAV Files folders.

    • When you locate the file to convert, select it in the list.

      The Output area becomes active, and the file information displays under the list.

  4. In the Output area, do the following:

    • Select the output Sampling Rate (Hz), and Sample size.

      Using the Options menu, you can type your own sampling rate.

    • In the File Spec area, select the output folder to write the converted file.

    • If needed, type a new File Name in the text box.

    • To add a job to the convert queue, click Add.

    • To delete a job from the convert queue, select the job, and click Delete.

    • To revise a job in the convert queue, select the job, and click Revise.

  5. To convert the file, click Convert.

    The conversion bar displays the job progress, and the AudioCon Job Status box displays completed job messages.

Tip

  • To learn more about the File, Options, or Window menus: On the Help menu, click Contents. Help for the Audio Converter Program appears.

Tools overview


Options


Color palette

On the Colors tab of the Options dialog box, you can select a basic or custom color for a Graph, Transcription, Scale, or Overlay.

In the Basic colors area, the current color highlights.

  • To select a different basic color, click another color in the Basic colors area.

To select a custom color, do the following:

  1. Click Define Custom Colors.

The rainbow palette displays to the right of the Basic colors area.

  1. To select a box to display the selected color, click an empty box in the Custom colors area.
  2. To select a color, move the arrow up or down the scale of the rainbow pallet.

The color in the Color|Solid box changes as you move the arrow up or down. The blend details change as the arrow moves.

  1. If needed, type different numbers into the Hue, Sat, Lum, Red, Green, or Blue boxes.

Do not change these values without proper instruction.

  1. To select your chosen color, click Add to Custom Colors.

The color in the Color|Solid box appears in the empty Custom color box you selected.

  1. Click OK to apply your new color.

Colors tab, Options


Colors tab, Options

To modify the colors used for Graph, Transcription, Scale, and Overlay, do the following:

  1. On the Tools menu, click Options, and then click Colors.
  2. In the Windows Setup area, do any of the following:
    • In the Graph, Transcription, Scale, or Overlay list, select an option.
    • Select an option from the list.
    • If needed, you can select a different custom color by doing the following:

Click [image] to display the Color dialog box.

Click OK.

The color square changes to the Basic colors or Custom colors selected

  1. To save the settings and not close the dialog box, click Apply.
  2. To save the settings and close the dialog box, click OK.

Note

  • The Basic button selects the color scheme currently in use by Microsoft Windows.
  • The Default Colors button returns Speech Analyzer to a set of internal default values.

Options overview


Fonts tab, Options

The Fonts tab of the Options dialog box allows you to change display fonts for any of the transcription bars.

  1. In the Transcription area, select a transcription type to change from the list.

The dialog box displays Sample Text in the current folder. Below the Transcription area, the Current Setting area shows the current font attributes.

  1. Click Font.

The Font dialog box appears, with the current settings selected.

  1. To select a different font, type the first few characters of the font name in the Font box, or use the slider to navigate to a new font.
  2. To select a different font size, type a number in the Size box, or select a different size from the list.
  3. Click OK.

The dialog box displays Sample Text in the new font, and the new font properties display in the Current Setting area.

  1. To save the settings and not close the dialog box, click Apply.
  2. To save the settings and close the dialog box, click OK.

Note

  • Doulos SIL is a Unicode font distributed with Speech Analyzer. It includes International Phonetic Alphabet (IPA) characters as well as many other Unicode characters, and is suitable for use in transcription. It can be used with Keyman keyboards to speed up transcription.

Options overview


Options overview

In Speech Analyzer, you can control how the recording graphs are viewed, what colors they display, what fonts they use, and what graphs appear when Speech Analyzer starts.

  1. On the Tools menu, click Options.

The Options dialog box appears.

  1. Select any of the following tabs:
    • Click the View tab to display the taskbar, status bar, advanced tools, control cursor alignment, display gridlines, and control fragment updates.
    • Click the Colors tab to adjust the Graph, Transcription, Scale, and Overlay colors.
    • Click the Fonts tab to change the font properties for different transcriptions.
    • Click the Startup tab to adjust what graphs appear when Speech Analyzer starts.

Tools overview


Start Mode options

Reopen Files at Startup

  • On the Startup tab of the Options dialog box, select the Reopen Files at Startup check box to use the same set of graphs types, overlays, and parameters from the previous session of Speech Analyzer.
    • The files must have been left open when Speech Analyzer last closed.

If multiple files were open when Speech Analyzer closed, they will all reopen.

  • This is very helpful if you select graph types, layouts, or parameters for files, which are different from those permanently selected.
  • When Speech Analyzer reopens, it bypasses the Start Mode dialog box.
  • The Show Startup Dialog check box becomes inactive.

To select Show Startup Dialog check box, you must clear the Reopen Files at Startup check box.

  • Any new files opened will have the default graph types, overlays, and parameters.

Show Startup Dialog

  • To see the Start Mode dialog box when Speech Analyzer reopens, select the Show Startup Dialog check box.
    • If the Reopen Files at Startup check box is selected, clear it.

Show Startup Dialog becomes available.

  • If Permanently is selected, User Specified is checked on the Start Mode dialog box.

Startup tab


Startup tab, Options

On the Options dialog box, the Startup tab lets you save specific graph types, layouts, and parameters, when you start Speech Analyzer.

To save the graph types, layouts and parameters in the Set Default View Template area, do one of the following:

  • For all files as a permanent default, click Permanently.
    • All files for all future sessions will start with the same graph , layouts, and parameters, until you change the settings again using this dialog box.
    • To save changes to colors and fonts, you do not need to click Permanently.
    • To save new graphs types and layouts, you do need to click Permanently.
    • When you click Permanently, the OK button changes to Close.
  • For all files, during the current Speech Analyzer sessions, click Temporarily.
    • All files for the current session will open with the same graph types, layouts, and parameters. Temporarily overrides previous Permanently parameters.
  • To directly reopen any previously worked-on files, click Reopen Files at Startup.
  • To display the Start Mode dialog box at each startup, click Show Startup Dialog.

Note

  • When you click Permanently or Temporarily, the selected active graphs display underneath the dialog button. The layout displays as a graphic to the right.
  • These settings also apply to recording files.

Options overview


Taskbar

To display the taskbar, on the Tools menu, select Options, and then click the View tab. The taskbar has two tabs, Phonetic and Music. The taskbar displays the name of the graph(s) and a graphic of the layout.

  • To switch to a different set of graphs, on the taskbar, click an icon.

For example, click the Waveform icon on the taskbar, and the Raw Waveform graph appears in the Speech Analyzer window.

  • To add new combinations of graphs to the taskbar icons, do the following:
    • On the Graphs menu, click Types, and then click Custom.
    • Select the graphs you need, and then click OK.
    • Click Save Current.

The graph combination now appears in the Graph Types dialog box and on the taskbar.

  • Click OK.

View tab, Options


View tab, Options

To display the View tab, on the Tools menu, click Options, and then change any of the following:

  • In the Mainframe area, select or clear any of the following:
    • To display a vertical scroll bar to zoom the recording, select the Scrollbar Zoom check box
    • To display additional icons on the toolbar, select the Advanced Tools check box.
    • To display the graph layout taskbar, select the Taskbar check box.
    • To display or hide the status bar, select the Statusbar check box.
    • To move the Tone transcription bar above all other transcription bars, select the Tone Above check box.
  • In the Cursor Alignment area, select or clear Sample, Zero Crossing, or Fragment.
  • To select a different unit of display for the first two cursor display panes in the status bar, in the Status Bar Units area, select Time, Samples, or Bytes.

A sample is a value taken from an audio signal at a precise point in time. The sequence of these samples graphed over time is the waveform (or raw waveform).

  • In the Graphs area, do any of the following:
    • Select a Titlebar style from the list.
    • To display vertical gridlines on the (Y-axis), select the Vertical Gridlines check box, and then select a style in the list.
    • To display horizontal gridlines on the (X-axis), select the Horizontal Gridlines check box, and then select a style in the list.
  • In Graph Fragment Update area, do any of the following:

To see the changes, you must display a Spectrum or Formant Chart graph, as well as a Raw Waveform graph.

  • To update a graph display after the begin or end cursor moves, select When cursor is set.
  • To update a graph display as the begin cursor moves, select While cursor is moving.

The Animate at check box activates.

  • To show animated progress from the begin to the end cursor, select the Animate at check box.

To change the frames per sec animation-rate number, type a number or use the arrows.

To start animated movement toward the end cursor, position and click the begin cursor. The Spectrum and Formant Chart graphs change as the animation proceeds toward the end cursor.

Note

  • If you select a Formant Chart graph, Animate places a dot as the cursor passes through each fragment, one dot at a time for each fragment, and retains the dots on the graph.

Options overview


Tools overview

On the Tools menu, you can do any of the following:

  • To invert, normalize, or zero the display, point to Adjust Waveform.
  • To configure signal-processing tasks, click Workbench.
  • To generate a new waveform, click Waveform Generator.
  • To convert Speech Analyzer files to or from different formats, click Audio Converter Program.
  • To change the views, colors, fonts, or startup graphs, click Options.

Menus overview


Status Bar

The status bar displays information about the active graph at the bottom of a Speech Analyzer window. Hertz is a unit of frequency. One hertz equals one cycle per second. A semitone is a unit of frequency indicating the number of half-steps between a given frequency and a reference frequency. Pitch is the perceived fundamental frequency of a sound. While the actual fundamental frequency can be precisely determined through physical measurement, it may differ from the perceived pitch because of overtones, or partials, in the sound

As the active graph changes, the status bar configuration also changes.

  • To turn the status bar on and off, do the following:
    • On the Tools menu, click Options, and then click the View tab.
    • In the Mainframe area, select or clear the Statusbar check box.
  • Depending on the active graph, you may see any of the following information:
Status Bar icon | Means
 | Displays the time interval in (seconds, samples, or bytes) from the beginning of the file to the begin cursor. 0:1.4391 means 0 minutes and 1.4391 seconds
 | Displays the time interval between the begin and end cursor in (seconds, samples, or bytes). 0:1.0540 means 1.0540 seconds
 | Displays the pitch in semitones (st). For the Melogram and Tonal Weighting Chart, the closest musical note displays in parentheses.
 | Displays the pitch in hertz (Hz). For the Tonal Weighting Chart, the percentage of sound heard at this frequency displays in parentheses.
| [image] |

Displays the relative intensity in decibels (dB) at the begin cursor.

The next status bar pane to the right displays the linear magnitude in percent.

|L|Displays the height or amplitude at the begin cursor. The percentage shows the height compared to full scale. The value in parentheses show equivalent the numeric value.| |R|Displays the height or amplitude at the end cursor. The percentage shows the height compared to full scale. The value in parentheses show equivalent the numeric value| |F1|Displays the frequency of formant 1 in hertz (Hz).| |F2|Displays the frequency of formant 2 in hertz (Hz).| |F3|Displays the frequency of formant 3 in hertz (Hz).| |F4|Displays the frequency of formant 4 in hertz (Hz).| |Tonal Weighting Chart Pane 1|The pitch of the 0 line in semitones (st) and hertz (Hz).| |Tonal Weighting Chart Pane 2|The difference in pitch in semitones (st) and hertz (Hz) between the private cursor and the zero line.| |Spectrogram & Snapshot Pane 3|Displays the frequency in hertz (Hz) at the location of the (hand) mouse pointer.| |Spectrogram & Snapshot Pane 4|Displays the intensity in decibels (dB) at the location of the (hand) mouse pointer.| |Change Pane 3|The degree of change (X axis) at the begin cursor.| |Change Pane 4|The degree of change (X axis) at the end cursor.| |Zero Crossing Pane 3|The number of zero crossings (X axis) at the begin cursor.| |Zero Crossing Pane 4|The number of zero crossings (X axis) at the end cursor.| |Spectrum Pane 1|Displays the frequency in hertz (Hz) at the private cursor.| |Cep|Displays the value of the Cepstral plot in the Spectrum graph at the private cursor.| |Raw|Displays the value of the Raw plot in the Spectrum graph at the private cursor.| |LPC|Displays the value of the LPC plot in the Spectrum graph at the private cursor.|

Note

  • To switch the beginning time interval to seconds, samples, or bytes, on the Tools menu, click Options, and then select the View tab.

Tools overview


Waveform Generator

To generate a simple waveform, do the following:

  1. On the Tools menu, click Waveform Generator.

  2. Select the Sinusoid 1 check box.

  3. Next to Sinusoid 1 check box, do the following:

    • Under Amplitude (%), type 70.
    • Under Frequency (Hz), enter a desired frequency (for example, 440).
    • Under Phase (Degrees), leave 0 in the box.

  4. Leave all other check boxes and options unchanged.

  5. In the Handle discontinities area, do the following:

    • Select Ideal.

    • Select Limit harmonics to.

      The Limit harmonics to box activates.

      Type 4 in the box.

  6. Click OK.

    A new generated Raw Waveform graph appears.

  7. To hear the waveform, on the toolbar click one of the playback buttons [image] [image] [image] [image] [image].

  8. If the Raw Waveform graph display is all black, you can zoom the graph display.

  9. To close the new graph, click the X in the upper right corner of the graph.

    A Speech Analyzer dialog box appears, asking if you want to save the new waveform.

Tools overview


Workbench

On the Tools menu, click Workbench to configure signal-processing tasks such as echo, reverb, and equation filtering. You can configure up to four processes. You can feed the output of one process into another.

The filtering can apply to the whole recording or only data between the begin and end cursors.

To configure a process, do the following:

  1. To select a process to configure, do one of the following:

    • Double-click the Wave File [image] icon of the process.

    • On the Properties menu, select a process.

      A dialog box appears with Process (number) as the title.

  2. For each of the three filters you use, do the following:

    • Select a filter selection from the list, other than Plain.

      You may not use the same filter selection twice in a process.

      The Properties button activates.

    • If you selected Highpass, Lowpass, or Bandpass, click Properties, and then do the following:

      Enter or type the Upper and Lower numbers in the Cutoff Frequency area.

      Enter or type the Filter Order number.

      Select or clear the Forward & Reverse Passes check box.

    • If you selected Reverb or Echo, click Properties, and then do the following:

      Enter or type the Delay numbers (in milliseconds).

      Enter or type the Gain numbers (in decibels).

    • If you selected Equation, click Properties and do the following:

      Type or enter an equation in Enter Equation f(x).

  3. To close any Process dialog box, and apply, click OK.

    Icons with each filter name appear next to the Wave File icon.

  4. Leave Workbench without closing it, and select a file from the Window menu, or on the File menu from the list of most recent files

    Workbench must be active to use one of the filter processes.

  5. Click the Waveform tab of the Graph Parameters dialog box, and, in the Data Source area, select a filter process.

Tools overview


Workbench Filter Selections

On the Workbench dialog box, you can select any of the following items to use as a filter.

  • Plain performs no filtering.
  • Highpass is a filter that passes high frequencies well, but attenuates (or reduces) frequencies lower than the cutoff frequency. This helps eliminate low-frequency hum and cassette motor noise.
  • Lowpass is a filter that passes low frequencies well, but attenuates (or reduces) frequencies higher than the cutoff frequency.
  • Bandpass is a filter that passes a range of frequencies between the lower and upper cutoff frequencies well, but attenuates (or reduces) all other frequencies.
  • Reverb adds reverb to the recording.
  • Echo adds an echo to the recording.
  • Equation allows you to enter an equation, f(x), to modify the recording as desired.

Note

  • A 70 Hz Highpass Filter is automatically applied during recording. This setting can be turned off, if desired.
  • The Min Frequency adjustment on the Pitch tab of the Graph Parameters dialog box only changes the vertical display scale of the pitch display, but does not act as a filter

Workbench


Window

On the Window menu, you can do any of the following to arrange the currently open and visible recording files.

  • To cascade the open windows, of two or more files, from the upper left corner of the screen,* click Cascade.
  • To arrange the open windows, of two or more files, one above another, click Tile Horizontal.
  • To arrange the open windows, of two or more files, side by side, click Tile Vertical.
  • To restore the positions of graphs expanded or reduced in size, in one file, click Retile Graphs, or press Ctrl+T.
  • To make a currently open file the active file, select one of the files in the list.

Note

  • If you rearrange the graphs, clicking Retile Graphs restores the original order.
  • Retile Graphs does not work when a graph is maximized.

Menus overview


User Interface overview

This Help book describes in detail the following commands and features:

  • Menus are arranged to match the menu bar and the commands on the menus. Help topics give some detailed information about the commands.
  • Toolbars show toolbar graphic Helps.
  • Shortcuts contains lists of shortcut keys.

Note

  • The Start Mode dialog box appears when Speech Analyzer opens, unless you select the Reopen Files at Startup check box or clear the Show Startup Dialog check box on the Startup tab of the Options dialog box.

Related Topics

Getting started

Speech Analyzer screen shot


Speech Analyzer screen shot

User Interface overview


Shortcuts


All shortcut keys

The following four tables of shortcut keys are organized by type of key:

Letter keys Function keys Arrow, Home, and End keys Other keys

Letter keys

To | Press
Select or de-select waveform data between the begin and end cursors in the Raw Waveform graph or on the Staff. | Ctrl+A
Copy selected Raw Waveform data or Staff notation. | Ctrl+C
Copy pitch, intensity and formant measurements. | Ctrl+Shift+C
View the underlying text data (on the Staff). | Ctrl+D
Import a notation from a file to the Staff. | Ctrl+E
Open the file Information dialog box. | Ctrl+I
|

Play the music notation on the Staff.

Add a Syllable segment (on a transcription bar)

|Ctrl+L| |View the MIDI voice context menu on the Staff.|Ctrl+M| |Paste the waveform selection into a new file.|Ctrl+N| |Open a file.|Ctrl+O| |Print a file.|Ctrl+P| |Open the Recorder dialog box.|Ctrl+R| |Save a file.|Ctrl+S| |Retile graphs in a window.|Ctrl+T| |Paste a Raw Waveform, a transcription, or Staff notation at the begin cursor position.|Ctrl+V| |Save the music notation on the Staff to a file.|Ctrl+W| |Cut a selected Raw Waveform, transcription, or Staff notation.|Ctrl+X| |Redo a previous command.|Ctrl+Y| |Undo a previous command.|Ctrl+Z| |Request that Speech Analyzer choose the Clef for the music notation.|Ctrl+0| |Change the Clef on the Staff to a Treble - 8va|Ctrl+1| |Change the Clef on the Staff to a Treble|Ctrl+2| |Change the Clef on the Staff to a Treble - 8vb|Ctrl+3| |Change the Clef on the Staff to a Bass|Ctrl+4| |Change the Clef on the Staff to a Bass - 8vb|Ctrl+5|

Function keys

To | Press
Open the Find and Replace dialog box. | F3
Call the Transcription Editor. | F4
Open the Graph Types dialog box. | F7
Playback between cursors. | F8
Playback from the left window border to the end cursor. | F9
Playback from the end cursor to the right window border. | F10
Playback the current window. | F11
Playback the entire File. | F12
Playback with a user defined function key. | Ctrl+FN (function key)

Arrow, Home, and End keys

To | Press
Zoom out very slowly. | Up Arrow
Zoom in very slowly. | Down Arrow
Select the transcription bar above the currently selected one. | Alt+Up Arrow
Select the transcription bar below the currently selected one. | Alt+Down Arrow
Select the graph above the currently selected one. | Ctrl+Up Arrow
Select the graph below the currently selected one. | Ctrl+Down Arrow
Pan slowly to the left. | Left Arrow
Pan slowly to the right. | Right Arrow
Move the begin cursor one very small step to the left. | Ctrl+Left Arrow
Move the begin cursor one very small step to the right. | Ctrl+Right Arrow
Move the end cursor one very small step to the left. | Shift+Left Arrow
Move the end cursor one very small step to the right. | Shift+Right Arrow
Select the segment to the right of the currently selected one. | Alt+Right Arrow or Tab
Select the segment to the left of the currently selected one. | Alt+Left Arrow
Move the view to the beginning of the file. | Home
Move the view to the end of the file. | End
Zoom to maximum (maximum zoom). | Ctrl+End
Zoom to minimum (no zoom). | Ctrl+Home

Other keys

To | Press
Update the Snapshot Spectrogram graph on the graph shortcut menu | Enter
Stop playback or cancel a processing task. | Esc
Toggle the Edit Boundaries button [image] on or off to resize segments. | Insert
Copy a transcription. | Ctrl+Insert
Paste a transcription. | Shift+Insert
Remove a selected transcription segment, or a music notation on the Staff. | Delete
Cut a transcription. | Shift+Delete
Pan in steps one screen width to the right. | Page Up
Pan in steps one screen width to the left. | Page Down
Zoom out quickly. | Ctrl+Page Up
Zoom in quickly. | Ctrl+Page Down
Select another currently open window. | Alt+Tab
Select a new active graph. | Shift+Tab
Select another file (if open). | Ctrl+Tab
Zoom portion between cursors to screen width. | Ctrl+Enter
Select data in the Raw Waveform graph. | Ctrl and Drag Cursor
Adjust the width of a selected segment. | Alt and Drag Cursor
Add a new segment. | Alt+=

Shortcut keys overview


Shortcut keys to begin and end cursor movements

To | Press
Move the begin cursor one very small step to the left. | Ctrl+Left Arrow
Move the begin cursor one very small step to the right. | Ctrl+Right Arrow
Move the end cursor one very small step to the left. | Shift+Left Arrow
Move the end cursor one very small step to the right. | Shift+Right Arrow

Shortcut keys overview


Shortcut keys for activating a different graph or file

To | Press
Select a new active graph. | Shift+Tab
Select another file pane (if open). | Ctrl+Tab

Shortcut keys overview


Shortcut keys for menu options

To | Press
Open the Recorder dialog box. | Ctrl+R
Open a file. | Ctrl+O
Save a file. | Ctrl+S
Open the File Information dialog box. | Ctrl+I
Print a file. | Ctrl+P
Retile Graphs in a window. | Ctrl+T
Open the Find and Replace dialog box. | F3
Open the Graph Types dialog box. | F7

Shortcut keys overview


Shortcut keys for navigating a transcription bar

To | Press
Select the transcription bar above the currently selected one. | Alt+Up Arrow
Select the transcription bar below the currently selected one. | Alt+Down Arrow
Select the segment to the right of the currently selected one. | Alt+Right Arrow or Tab
Select the segment to the left of the currently selected one. | Alt+Left Arrow

Shortcut keys overview


Shortcut keys overview

Shortcut keys are individual keys and key combinations you can use to speed up your work. Most shortcut keys invoke commands that are also available on the menus and toolbar.

You can view all shortcut keys, or see the following shortcut keys for individual tasks:

  • View control.
  • Beginning and ending cursor movements.
  • Controlling zoom.
  • Navigating a transcription bar.
  • Editing, deleting, and selecting segments.
  • Staff music notation
  • Activating a different graph or file.
  • Menu options.
  • Text manipulation.
  • Waveform manipulation.
  • Playback functions.

Key combination notation

  • To press Ctrl+C means press and hold Ctrl, and then press C.
  • To press Shift+Left Arrow means press and hold Shift, and then press Left Arrow.
  • To press Ctrl+Shift+S means press and hold Ctrl and Shift, and then press S.

Tip

  • You can print these Help topics and use them as a desk reference.

User Interface overview


Shortcut keys for playback

To | Press
Playback between cursors. | F8
Playback from the left window border to the end cursor. | F9
Playback from the end cursor to the right window border. | F10
Playback the current window. | F11
Playback the entire file. | F12
Stop playback or cancel a processing task. | Esc
Playback with a user defined function key. | Ctrl+FN (function key)

Shortcut keys overview


Shortcut keys for editing, deleting, selecting segments

To | Press
Call the Transcription Editor. | F4
Add a Syllable segment (on a transcription bar) | Ctrl+L
Remove a selected transcription segment, or a music notation on the Staff. | Delete
Cut selected Raw Waveform or transcription data. | Ctrl+X or Shift+Delete
Copy selected Raw Waveform or transcription data. | Ctrl+C or Ctrl+Insert
Paste selected Raw Waveform or transcription data. | Ctrl+V or Shift+Insert
Adjust the width of a selected transcription segment. | Alt and Drag Cursor
Add a new transcription segment. | Alt+=
Toggle the Edit Boundaries button [image] on or off to resize transcription segments. | Insert

Shortcut keys overview


Shortcut keys for Staff music notation

To | Press
Select the entire music notation Staff. | Ctrl+A
Copy selected notation. | Ctrl+C
View the underlying text data for the music notation. | Ctrl+D
Import a notation from a file. | Ctrl+E
Play the music notation. | Ctrl+L
View the MIDI voice shortcut menu. | Ctrl+M
Paste a music notation. | Ctrl+V
Save the music notation to a file. | Ctrl+W
Cut selected music notation. | Ctrl+X
Request that Speech Analyzer choose the Clef for the music notation. | Ctrl+0
Change the Clef on the Staff to a Treble - 8va | Ctrl+1
Change the Clef on the Staff to a Treble | Ctrl+2
Change the Clef on the Staff to a Treble - 8vb | Ctrl+3
Change the Clef on the Staff to a Bass | Ctrl+4
Change the Clef on the Staff to a Bass - 8vb | Ctrl+5

Shortcut keys overview


Shortcut keys for text manipulation

These keys work on selected text in transcription bars.

To | Press
Cut a transcription. | Ctrl+X
Copy a transcription. | Ctrl+C
Paste a transcription. | Ctrl+V

Shortcut keys overview


Shortcut keys for view control

These keys work if you have zoomed in. They shift the entire view of transcription bars and graphs together left or right. We recommend displaying the Position View graph, as you learn these shortcut keys.

To | Press
Move view to the beginning of the file. | Home
Move view to the end of the file. | End
Pan slowly to the left. | Left Arrow
Pan slowly to the right. | Right Arrow
Pan in steps, one screen width to the right. | Page Up
Pan in steps, one screen width to the left. | Page Down

Shortcut keys overview


Shortcut keys for waveform manipulation

These keys work on selected graphic data in the Raw Waveform graph.

To | Press
Update the Snapshot Spectrogram graph on the graph shortcut menu | Enter
Selects or de-selects waveform data between the begin and end cursors in the Raw Waveform graph or on the Staff. | Ctrl+A
Copy selected Raw Waveform data or Staff notation. | Ctrl+C
Copy pitch, intensity and formant measurements. | Ctrl+Shift+C
View the underlying text data (on the Staff). | Ctrl+D
Import a music notation from a file to the Staff. | Ctrl+E
Play the music notation on the Staff. | Ctrl+L
View the MIDI shortcut menu on the Staff. | Ctrl+M
Pastes waveform selection into a new file. | Ctrl+N
Paste a Raw Waveform, transcription, or Staff notation at begin cursor position. | Ctrl+V
Save the music notation on the Staff to a file. | Ctrl+W
Cut selected Raw Waveform, transcription, or Staff notation. | Ctrl+X
Select data in the Raw Waveform graph. | Ctrl and Drag Cursor

Shortcut keys overview


Shortcut keys to control zoom

To expand or contract the displayed graphs that plot time on the horizontal axis, you can zoom.

To | Press
Display more temporal detail (zoom step in). | Ctrl+Page Down
Display more of the waveform (zoom step out). | Ctrl+Page Up
Display the entire waveform (zoom full). | Ctrl+Home
Display the waveform between the begin and end cursors (zoom cursors). | Ctrl+Enter
Display more of the waveform (zoom out slowly). | Up Arrow
Display more temporal detail (zoom in slowly). | Down Arrow
Display extreme temporal detail (zoom maximum). | Ctrl+End

Shortcut Keys overview


Start Mode

When Speech Analyzer opens, the Start Mode dialog box appears, unless you select the Reopen Files at Startup check box or clear the Show Startup Dialog check box on the Startup tab.

The Start Mode dialog box also appears if you click Open Startup on the File menu.

  • To record a new file, click Record.

The Recorder appears.

To open an existing file, do the following:

  1. In the Open an Existing File list, select a file to open, or click More Files.

To listen to a selected file, select the Play and Stop buttons.

  1. In the Display What Types of Graphs area, do one of the following:
    • To continue to display the graphs previously selected as Permanently or Temporarily in the Startup tab on the Options dialog box (the User Specified check box is selected), do nothing.
    • To display the Raw Waveform and Auto Pitch graphs, click Phonetic.
    • To display the Position View graph, Melogram, and Staff, click Music.
  2. To not show the dialog box again, select the Don’t show this dialog again check box.
  3. Click OK.
  4. If the selected file contains transcription data from a previous version of Speech Analyzer, select mapping converters in the Transcription Encoding Converters dialog box that appears.

File overview


Toolbar


Toolbar overview

A toolbar is a row of buttons, boxes, and lists that provide fast access to commands. You can show or hide the advanced toolbar icons, or move the position of the toolbar.

  • To see a ToolTip, rest the mouse pointer on a toolbar button.
  • A dimmed toolbar button is unavailable because of the following:
    • The position of the insertion point or the begin and end cursors
    • The graph type selected
    • The active graph selected
  • Toolbar buttons correspond to frequently used commands on the menus.

User Interface overview


Show, hide, or move a toolbar

A toolbar is a row of buttons, boxes, and lists that provide fast access to commands.

  1. To show or hide the advanced toolbar, do the following:
    • On the Tools menu, click Options, and then click the View tab.
    • To show the advanced toolbar icons, select Advanced Tools.
    • To hide the advanced toolbar icons, clear Advanced Tools.
  2. To move a toolbar, do the following:
    • To move a docked toolbar, drag its move handle [image].

A docked toolbar is attached to one edge of the program window.

  1. To move a floating toolbar, drag its title bar.

A floating toolbar is not attached to the edge of the program window.

Tip

  • If you move a toolbar to the edge of a program window, it snaps into place and becomes a docked toolbar.

Toolbars overview


Toolbar

*Seven advanced buttons appear on the toolbar, if you select the Advanced Tools check box on the View tab of the Options dialog box.

To | Click | Press
Record a new file |  | Ctrl+R
Open a file |  | Ctrl+O
Save changes to a file |  | Ctrl+S
File Information |  | Ctrl+I
Undo the last command |  | Ctrl+Z
Previous Segment* |  |
Next Segment* |  |
Add Phonetic Segment |  |
Add Syllable Segment* |  |
Add Word Segment |  |
Edit Boundaries |  |
Graph Types |  | F7
Snapshot Spectrogram |  |
Formant Tracks |  |
Zoom Step In |  |
Zoom Step Out |  |
Zoom Full* |  |
Zoom Cursors |  |
Play Between Cursors |  | F8
Play Left -> End Cursor* |  | F9
Play End Cursor -> Right* |  | F10
Play Window* |  | F11
Play File |  | F12
Stop Playing |  | Esc
Player |  |
Record Overlay |  |

Toolbar overview